"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteProbe = exports.updateProbe = exports.addProbe = exports.setProbes = exports.findProbe = exports.getProbes = void 0;
const probes = new Map();
function getProbes() {
    const legacyProbes = [];
    for (const probe of probes.values()) {
        legacyProbes.push(probe);
    }
    return legacyProbes;
}
exports.getProbes = getProbes;
function findProbe(id) {
    return probes.get(id);
}
exports.findProbe = findProbe;
function setProbes(newProbes) {
    probes.clear();
    for (const probe of newProbes) {
        addProbe(probe);
    }
}
exports.setProbes = setProbes;
function addProbe(newProbe) {
    return probes.set(newProbe.id, newProbe);
}
exports.addProbe = addProbe;
function updateProbe(id, data) {
    const probe = findProbe(id);
    if (!probe) {
        return false;
    }
    const updatedProbe = { ...probe, ...data };
    probes.set(id, updatedProbe);
    return true;
}
exports.updateProbe = updateProbe;
function deleteProbe(id) {
    return probes.delete(id);
}
exports.deleteProbe = deleteProbe;
//# sourceMappingURL=probe.js.map