"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortProbes = void 0;
function sortProbes(probes, idFlag) {
    if (!idFlag) {
        return probes;
    }
    const selectedProbeIDs = getProbeIDsFromFlag(idFlag);
    if (!validateProbeIds(probes, selectedProbeIDs)) {
        throw new Error('Input error');
    }
    // doing custom sequences if list of ids is declared
    const sortedProbes = getProbesByIds(probes, selectedProbeIDs);
    return sortedProbes;
}
exports.sortProbes = sortProbes;
function getProbeIDsFromFlag(idFlag) {
    return idFlag.split(',').map((item) => item.trim());
}
function getProbesByIds(probes, probeIDs) {
    const selectedProbes = [];
    for (const probeID of probeIDs) {
        const probe = probes.find(({ id }) => id === probeID);
        if (probe) {
            selectedProbes.push(probe);
        }
    }
    return selectedProbes;
}
function validateProbeIds(probes, ids) {
    let found = false;
    for (const probe of probes) {
        for (const id of ids) {
            if (probe.id === id) {
                found = true;
                break;
            }
        }
    }
    return found;
}
//# sourceMappingURL=sort.js.map