"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flush = void 0;
const core_1 = require("@oclif/core");
const context_1 = require("../../context");
const pino_1 = require("../../utils/pino");
const history_1 = require("./history");
async function flush() {
    if (!(0, context_1.getContext)().flags.force) {
        const answer = await core_1.ux.ux.prompt('Are you sure you want to flush all logs in monika-logs.db (Y/n)?');
        if (answer !== 'Y') {
            pino_1.log.info('Cancelled. Thank you.');
            return;
        }
    }
    await (0, history_1.openLogfile)();
    await (0, history_1.flushAllLogs)();
    pino_1.log.info('Records flushed, thank you.');
}
exports.flush = flush;
//# sourceMappingURL=flush.js.map