"use strict";
/**********************************************************************************
 * MIT License                                                                    *
 *                                                                                *
 * Copyright (c) 2021 Hyperjump Technology                                        *
 *                                                                                *
 * Permission is hereby granted, free of charge, to any person obtaining a copy   *
 * of this software and associated documentation files (the "Software"), to deal  *
 * in the Software without restriction, including without limitation the rights   *
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell      *
 * copies of the Software, and to permit persons to whom the Software is          *
 * furnished to do so, subject to the following conditions:                       *
 *                                                                                *
 * The above copyright notice and this permission notice shall be included in all *
 * copies or substantial portions of the Software.                                *
 *                                                                                *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR     *
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,       *
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE    *
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER         *
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,  *
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE  *
 * SOFTWARE.                                                                      *
 **********************************************************************************/
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendAlerts = void 0;
const events_1 = require("../../utils/events");
const ip_1 = __importDefault(require("../../utils/ip"));
const alert_message_1 = require("./alert-message");
const monika_notification_1 = require("@hyperjumptech/monika-notification");
const events_2 = __importDefault(require("../../events"));
async function sendAlerts({ probeID, validation, notifications, url, probeState, }) {
    const ipAddress = (0, ip_1.default)();
    const isRecovery = probeState === 'UP';
    const message = await (0, alert_message_1.getMessageForAlert)({
        probeID,
        alert: validation.alert,
        url,
        ipAddress,
        isRecovery,
        response: validation.response,
    });
    const results = await (0, monika_notification_1.sendNotifications)(notifications, message);
    for (const result of results) {
        (0, events_1.getEventEmitter)().emit(events_2.default.notifications.sent, {
            type: result.type,
            status: result.success ? 'success' : 'failed',
        });
    }
}
exports.sendAlerts = sendAlerts;
//# sourceMappingURL=index.js.map