"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scheduleSummaryNotification = void 0;
const node_cron_1 = require("node-cron");
const summary_notification_1 = require("../../jobs/summary-notification");
const config_1 = require("../config");
let scheduledTasks = [];
// Stop and clear all previous cron tasks
function resetScheduledTasks() {
    for (const task of scheduledTasks) {
        task.stop();
    }
    scheduledTasks = [];
}
function scheduleSummaryNotification({ config, flags, }) {
    if ((0, config_1.isSymonModeFrom)(flags) || flags['status-notification'] === 'false') {
        return;
    }
    resetScheduledTasks();
    // defaults to 6 AM
    // default value is not defined in flag configuration,
    // because the value can also come from config file
    const schedule = flags['status-notification'] || config['status-notification'];
    const scheduledStatusUpdateTask = (0, node_cron_1.schedule)(schedule, summary_notification_1.getSummaryAndSendNotif);
    scheduledTasks.push(scheduledStatusUpdateTask);
}
exports.scheduleSummaryNotification = scheduleSummaryNotification;
//# sourceMappingURL=schedule-notification.js.map