"use strict";
/**********************************************************************************
 * MIT License                                                                    *
 *                                                                                *
 * Copyright (c) 2021 Hyperjump Technology                                        *
 *                                                                                *
 * Permission is hereby granted, free of charge, to any person obtaining a copy   *
 * of this software and associated documentation files (the "Software"), to deal  *
 * in the Software without restriction, including without limitation the rights   *
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell      *
 * copies of the Software, and to permit persons to whom the Software is          *
 * furnished to do so, subject to the following conditions:                       *
 *                                                                                *
 * The above copyright notice and this permission notice shall be included in all *
 * copies or substantial portions of the Software.                                *
 *                                                                                *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR     *
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,       *
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE    *
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER         *
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,  *
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE  *
 * SOFTWARE.                                                                      *
 **********************************************************************************/
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_os_1 = require("node:os");
const config_1 = require("../../components/config");
const monika_notification_1 = require("@hyperjumptech/monika-notification");
const alert_message_1 = require("../../components/notification/alert-message");
const context_1 = require("../../context");
const events_1 = __importDefault(require("../../events"));
const events_2 = require("../../utils/events");
const ip_1 = __importDefault(require("../../utils/ip"));
const pino_1 = require("../../utils/pino");
(0, events_2.getEventEmitter)().on(events_1.default.application.terminated, async () => {
    if (!(0, context_1.getContext)().isTest) {
        const message = await (0, alert_message_1.getMessageForTerminate)((0, node_os_1.hostname)(), (0, ip_1.default)());
        (0, monika_notification_1.sendNotifications)((0, config_1.getValidatedConfig)().notifications, message).catch((error) => pino_1.log.error(error));
    }
});
//# sourceMappingURL=application.js.map