/**********************************************************************************
 * MIT License                                                                    *
 *                                                                                *
 * Copyright (c) 2021 Hyperjump Technology                                        *
 *                                                                                *
 * Permission is hereby granted, free of charge, to any person obtaining a copy   *
 * of this software and associated documentation files (the "Software"), to deal  *
 * in the Software without restriction, including without limitation the rights   *
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell      *
 * copies of the Software, and to permit persons to whom the Software is          *
 * furnished to do so, subject to the following conditions:                       *
 *                                                                                *
 * The above copyright notice and this permission notice shall be included in all *
 * copies or substantial portions of the Software.                                *
 *                                                                                *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR     *
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,       *
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE    *
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER         *
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,  *
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE  *
 * SOFTWARE.                                                                      *
 **********************************************************************************/
export declare enum SYMON_API_VERSION {
    'v1' = "v1",
    'v2' = "v2"
}
export type MonikaFlags = {
    'auto-update'?: string;
    'compact-probes'?: boolean;
    config: string[];
    'config-filename': string;
    'config-interval': number;
    'create-config': boolean;
    'native-fetch': boolean;
    flush: boolean;
    'follow-redirects': number;
    force: boolean;
    har?: string;
    id?: string;
    ignoreInvalidTLS: boolean;
    insomnia?: string;
    'keep-verbose-logs': boolean;
    logs: boolean;
    'one-probe': boolean;
    output: string;
    postman?: string;
    prometheus?: number;
    repeat: number;
    retryInitialDelayMs: number;
    retryMaxDelayMs: number;
    sitemap?: string;
    'skip-start-message'?: boolean;
    'status-notification'?: string;
    stun: number;
    summary: boolean;
    sentryDSN?: string;
    'symon-api-version': SYMON_API_VERSION;
    symonKey?: string;
    symonLocationId?: string;
    symonMonikaId?: string;
    symonReportInterval: number;
    symonReportLimit: number;
    symonGetProbesIntervalMs: number;
    symonUrl?: string;
    text?: string;
    'ttl-cache': number;
    'user-agent'?: string;
    verbose: boolean;
    'verbose-cache': boolean;
    version: boolean;
};
export declare const monikaFlagsDefaultValue: MonikaFlags;
export declare const flags: {
    'auto-update': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    'compact-probes': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    config: import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
    'config-filename': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
    'config-interval': import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    'create-config': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    flush: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    'follow-redirects': import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    force: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    har: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
    id: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    ignoreInvalidTLS: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    insomnia: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    'keep-verbose-logs': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    logs: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    'native-fetch': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    'one-probe': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    output: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
    postman: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    prometheus: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    repeat: import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    retryInitialDelayMs: import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    retryMaxDelayMs: import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    sentryDSN: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    sitemap: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    'skip-start-message': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    'status-notification': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    stun: import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    summary: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    'symon-api-version': import("@oclif/core/lib/interfaces").OptionFlag<SYMON_API_VERSION, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonKey: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonGetProbesIntervalMs: import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonLocationId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonMonikaId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonReportInterval: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonReportLimit: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    symonUrl: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    text: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    'ttl-cache': import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
    'user-agent': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
    verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    'verbose-cache': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    version: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
};
export declare function sanitizeFlags(flags: Partial<MonikaFlags>): MonikaFlags;
