/**********************************************************************************
 * MIT License                                                                    *
 *                                                                                *
 * Copyright (c) 2021 Hyperjump Technology                                        *
 *                                                                                *
 * Permission is hereby granted, free of charge, to any person obtaining a copy   *
 * of this software and associated documentation files (the "Software"), to deal  *
 * in the Software without restriction, including without limitation the rights   *
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell      *
 * copies of the Software, and to permit persons to whom the Software is          *
 * furnished to do so, subject to the following conditions:                       *
 *                                                                                *
 * The above copyright notice and this permission notice shall be included in all *
 * copies or substantial portions of the Software.                                *
 *                                                                                *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR     *
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,       *
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE    *
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER         *
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,  *
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE  *
 * SOFTWARE.                                                                      *
 **********************************************************************************/
import { type MonikaFlags } from '../flag';
type SymonClientParams = Pick<MonikaFlags, 'symon-api-version' | 'symonKey' | 'symonLocationId' | 'symonMonikaId' | 'symonReportInterval' | 'symonReportLimit' | 'symonUrl'>;
export default class SymonClient {
    private readonly eventEmitter;
    private reportProbesInterval;
    private worker;
    private apiKey;
    private probeChangesInterval;
    private probeAssignmentChangesInterval;
    private httpClient;
    private locationId;
    private monikaId;
    private isMultiNode;
    private probeAssignmentTotal;
    private probeChangesCheckedAt;
    private reportProbesLimit;
    private reportTimeout;
    private url;
    constructor({ 'symon-api-version': apiVersion, symonKey, symonLocationId, symonMonikaId, symonReportInterval, symonReportLimit, symonUrl, }: SymonClientParams);
    initiate(): Promise<void>;
    sendStatus({ isOnline }: {
        isOnline: boolean;
    }): Promise<void>;
    stop(): Promise<void>;
    private setProbeChangesCheckedAt;
    private fetchAndApplyProbeChanges;
    private willSendEventListener;
    private report;
    private probeChanges;
    private fetchProbes;
    private fetchProbesAndUpdateConfig;
    private handshake;
    private fetchAndApplyProbeAssignmentChanges;
    private setProbeAssignmentTotal;
    private fetchProbeAssignmentTotal;
}
export {};
