import type { LocaleEntry } from './definitions';
/**
 * The possible definitions related to companies.
 */
export declare type CompanyDefinitions = LocaleEntry<{
    /**
     * Business/products related adjectives.
     */
    bs_adjective: string[];
    /**
     * Business/products related nouns.
     */
    bs_noun: string[];
    /**
     * Business/products related verbs.
     */
    bs_verb: string[];
    /**
     * Catchphrase adjectives.
     */
    adjective: string[];
    /**
     * Catchphrase adjectives.
     */
    descriptor: string[];
    /**
     * A list of patterns used to generate company names.
     */
    name_patterns: string[];
    /**
     * Catchphrase adjectives.
     */
    noun: string[];
    /**
     * Company suffixes.
     */
    suffix: string[];
}>;
