"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expectDurations = void 0;
const chai_1 = require("chai");
const expectDurations = (backoffFactory, expected, context) => {
    const actual = [];
    let backoff = backoffFactory?.next(context);
    for (let i = 0; i < expected.length; i++) {
        if (!backoff) {
            actual.push(undefined);
            continue;
        }
        actual.push(backoff?.duration);
        backoff = backoff.next(context);
    }
    (0, chai_1.expect)(actual).to.deep.equal(expected);
};
exports.expectDurations = expectDurations;
//# sourceMappingURL=Backoff.test.js.map