"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runInChild = void 0;
const child_process_1 = require("child_process");
const fs_1 = require("fs");
const path = require("path");
/**
 * Runs the code in a child process, and returns its stdout/err string.
 */
async function runInChild(code) {
    const cwd = path.resolve(__dirname, '..', '..');
    const file = path.resolve(cwd, '.test.js');
    after(done => (0, fs_1.unlink)(file, () => done()));
    (0, fs_1.writeFileSync)(file, `const c = require('./');\n${code}`);
    const child = (0, child_process_1.fork)(file, [], { cwd, stdio: 'pipe' });
    const output = [];
    child.stderr?.on('data', d => output.push(d));
    child.stdout?.on('data', d => output.push(d));
    await new Promise((resolve, reject) => {
        child.on('error', reject);
        child.on('exit', resolve);
    });
    return Buffer.concat(output).toString().replace(/\r?\n/g, '\n').trim();
}
exports.runInChild = runInChild;
//# sourceMappingURL=util.test.js.map