declare const _default: {
    'application/1d-interleaved-parityfec': {
        source: string;
    };
    'application/3gpdash-qoe-report+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/3gpp-ims+xml': {
        source: string;
        compressible: boolean;
    };
    'application/3gpphal+json': {
        source: string;
        compressible: boolean;
    };
    'application/3gpphalforms+json': {
        source: string;
        compressible: boolean;
    };
    'application/a2l': {
        source: string;
    };
    'application/ace+cbor': {
        source: string;
    };
    'application/activemessage': {
        source: string;
    };
    'application/activity+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-costmap+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-costmapfilter+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-directory+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-endpointcost+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-endpointcostparams+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-endpointprop+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-endpointpropparams+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-error+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-networkmap+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-networkmapfilter+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-updatestreamcontrol+json': {
        source: string;
        compressible: boolean;
    };
    'application/alto-updatestreamparams+json': {
        source: string;
        compressible: boolean;
    };
    'application/aml': {
        source: string;
    };
    'application/andrew-inset': {
        source: string;
        extensions: string[];
    };
    'application/applefile': {
        source: string;
    };
    'application/applixware': {
        source: string;
        extensions: string[];
    };
    'application/at+jwt': {
        source: string;
    };
    'application/atf': {
        source: string;
    };
    'application/atfx': {
        source: string;
    };
    'application/atom+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atomcat+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atomdeleted+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atomicmail': {
        source: string;
    };
    'application/atomsvc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atsc-dwd+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atsc-dynamic-event-message': {
        source: string;
    };
    'application/atsc-held+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atsc-rdt+json': {
        source: string;
        compressible: boolean;
    };
    'application/atsc-rsat+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/atxml': {
        source: string;
    };
    'application/auth-policy+xml': {
        source: string;
        compressible: boolean;
    };
    'application/bacnet-xdd+zip': {
        source: string;
        compressible: boolean;
    };
    'application/batch-smtp': {
        source: string;
    };
    'application/bdoc': {
        compressible: boolean;
        extensions: string[];
    };
    'application/beep+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/calendar+json': {
        source: string;
        compressible: boolean;
    };
    'application/calendar+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/call-completion': {
        source: string;
    };
    'application/cals-1840': {
        source: string;
    };
    'application/captive+json': {
        source: string;
        compressible: boolean;
    };
    'application/cbor': {
        source: string;
    };
    'application/cbor-seq': {
        source: string;
    };
    'application/cccex': {
        source: string;
    };
    'application/ccmp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/ccxml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/cdfx+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/cdmi-capability': {
        source: string;
        extensions: string[];
    };
    'application/cdmi-container': {
        source: string;
        extensions: string[];
    };
    'application/cdmi-domain': {
        source: string;
        extensions: string[];
    };
    'application/cdmi-object': {
        source: string;
        extensions: string[];
    };
    'application/cdmi-queue': {
        source: string;
        extensions: string[];
    };
    'application/cdni': {
        source: string;
    };
    'application/cea': {
        source: string;
    };
    'application/cea-2018+xml': {
        source: string;
        compressible: boolean;
    };
    'application/cellml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/cfw': {
        source: string;
    };
    'application/city+json': {
        source: string;
        compressible: boolean;
    };
    'application/clr': {
        source: string;
    };
    'application/clue+xml': {
        source: string;
        compressible: boolean;
    };
    'application/clue_info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/cms': {
        source: string;
    };
    'application/cnrp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/coap-group+json': {
        source: string;
        compressible: boolean;
    };
    'application/coap-payload': {
        source: string;
    };
    'application/commonground': {
        source: string;
    };
    'application/conference-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/cose': {
        source: string;
    };
    'application/cose-key': {
        source: string;
    };
    'application/cose-key-set': {
        source: string;
    };
    'application/cpl+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/csrattrs': {
        source: string;
    };
    'application/csta+xml': {
        source: string;
        compressible: boolean;
    };
    'application/cstadata+xml': {
        source: string;
        compressible: boolean;
    };
    'application/csvm+json': {
        source: string;
        compressible: boolean;
    };
    'application/cu-seeme': {
        source: string;
        extensions: string[];
    };
    'application/cwt': {
        source: string;
    };
    'application/cybercash': {
        source: string;
    };
    'application/dart': {
        compressible: boolean;
    };
    'application/dash+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/dash-patch+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/dashdelta': {
        source: string;
    };
    'application/davmount+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/dca-rft': {
        source: string;
    };
    'application/dcd': {
        source: string;
    };
    'application/dec-dx': {
        source: string;
    };
    'application/dialog-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/dicom': {
        source: string;
    };
    'application/dicom+json': {
        source: string;
        compressible: boolean;
    };
    'application/dicom+xml': {
        source: string;
        compressible: boolean;
    };
    'application/dii': {
        source: string;
    };
    'application/dit': {
        source: string;
    };
    'application/dns': {
        source: string;
    };
    'application/dns+json': {
        source: string;
        compressible: boolean;
    };
    'application/dns-message': {
        source: string;
    };
    'application/docbook+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/dots+cbor': {
        source: string;
    };
    'application/dskpp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/dssc+der': {
        source: string;
        extensions: string[];
    };
    'application/dssc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/dvcs': {
        source: string;
    };
    'application/ecmascript': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/edi-consent': {
        source: string;
    };
    'application/edi-x12': {
        source: string;
        compressible: boolean;
    };
    'application/edifact': {
        source: string;
        compressible: boolean;
    };
    'application/efi': {
        source: string;
    };
    'application/elm+json': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/elm+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.cap+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/emergencycalldata.comment+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.control+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.deviceinfo+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.ecall.msd': {
        source: string;
    };
    'application/emergencycalldata.providerinfo+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.serviceinfo+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.subscriberinfo+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emergencycalldata.veds+xml': {
        source: string;
        compressible: boolean;
    };
    'application/emma+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/emotionml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/encaprtp': {
        source: string;
    };
    'application/epp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/epub+zip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/eshop': {
        source: string;
    };
    'application/exi': {
        source: string;
        extensions: string[];
    };
    'application/expect-ct-report+json': {
        source: string;
        compressible: boolean;
    };
    'application/express': {
        source: string;
        extensions: string[];
    };
    'application/fastinfoset': {
        source: string;
    };
    'application/fastsoap': {
        source: string;
    };
    'application/fdt+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/fhir+json': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/fhir+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/fido.trusted-apps+json': {
        compressible: boolean;
    };
    'application/fits': {
        source: string;
    };
    'application/flexfec': {
        source: string;
    };
    'application/font-sfnt': {
        source: string;
    };
    'application/font-tdpfr': {
        source: string;
        extensions: string[];
    };
    'application/font-woff': {
        source: string;
        compressible: boolean;
    };
    'application/framework-attributes+xml': {
        source: string;
        compressible: boolean;
    };
    'application/geo+json': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/geo+json-seq': {
        source: string;
    };
    'application/geopackage+sqlite3': {
        source: string;
    };
    'application/geoxacml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/gltf-buffer': {
        source: string;
    };
    'application/gml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/gpx+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/gxf': {
        source: string;
        extensions: string[];
    };
    'application/gzip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/h224': {
        source: string;
    };
    'application/held+xml': {
        source: string;
        compressible: boolean;
    };
    'application/hjson': {
        extensions: string[];
    };
    'application/http': {
        source: string;
    };
    'application/hyperstudio': {
        source: string;
        extensions: string[];
    };
    'application/ibe-key-request+xml': {
        source: string;
        compressible: boolean;
    };
    'application/ibe-pkg-reply+xml': {
        source: string;
        compressible: boolean;
    };
    'application/ibe-pp-data': {
        source: string;
    };
    'application/iges': {
        source: string;
    };
    'application/im-iscomposing+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/index': {
        source: string;
    };
    'application/index.cmd': {
        source: string;
    };
    'application/index.obj': {
        source: string;
    };
    'application/index.response': {
        source: string;
    };
    'application/index.vnd': {
        source: string;
    };
    'application/inkml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/iotp': {
        source: string;
    };
    'application/ipfix': {
        source: string;
        extensions: string[];
    };
    'application/ipp': {
        source: string;
    };
    'application/isup': {
        source: string;
    };
    'application/its+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/java-archive': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/java-serialized-object': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/java-vm': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/javascript': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/jf2feed+json': {
        source: string;
        compressible: boolean;
    };
    'application/jose': {
        source: string;
    };
    'application/jose+json': {
        source: string;
        compressible: boolean;
    };
    'application/jrd+json': {
        source: string;
        compressible: boolean;
    };
    'application/jscalendar+json': {
        source: string;
        compressible: boolean;
    };
    'application/json': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/json-patch+json': {
        source: string;
        compressible: boolean;
    };
    'application/json-seq': {
        source: string;
    };
    'application/json5': {
        extensions: string[];
    };
    'application/jsonml+json': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/jwk+json': {
        source: string;
        compressible: boolean;
    };
    'application/jwk-set+json': {
        source: string;
        compressible: boolean;
    };
    'application/jwt': {
        source: string;
    };
    'application/kpml-request+xml': {
        source: string;
        compressible: boolean;
    };
    'application/kpml-response+xml': {
        source: string;
        compressible: boolean;
    };
    'application/ld+json': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/lgr+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/link-format': {
        source: string;
    };
    'application/load-control+xml': {
        source: string;
        compressible: boolean;
    };
    'application/lost+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/lostsync+xml': {
        source: string;
        compressible: boolean;
    };
    'application/lpf+zip': {
        source: string;
        compressible: boolean;
    };
    'application/lxf': {
        source: string;
    };
    'application/mac-binhex40': {
        source: string;
        extensions: string[];
    };
    'application/mac-compactpro': {
        source: string;
        extensions: string[];
    };
    'application/macwriteii': {
        source: string;
    };
    'application/mads+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/manifest+json': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/marc': {
        source: string;
        extensions: string[];
    };
    'application/marcxml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mathematica': {
        source: string;
        extensions: string[];
    };
    'application/mathml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mathml-content+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mathml-presentation+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-associated-procedure-description+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-deregister+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-envelope+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-msk+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-msk-response+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-protection-description+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-reception-report+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-register+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-register-response+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-schedule+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbms-user-service-description+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mbox': {
        source: string;
        extensions: string[];
    };
    'application/media-policy-dataset+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/media_control+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mediaservercontrol+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/merge-patch+json': {
        source: string;
        compressible: boolean;
    };
    'application/metalink+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/metalink4+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mets+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mf4': {
        source: string;
    };
    'application/mikey': {
        source: string;
    };
    'application/mipc': {
        source: string;
    };
    'application/missing-blocks+cbor-seq': {
        source: string;
    };
    'application/mmt-aei+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mmt-usd+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mods+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/moss-keys': {
        source: string;
    };
    'application/moss-signature': {
        source: string;
    };
    'application/mosskey-data': {
        source: string;
    };
    'application/mosskey-request': {
        source: string;
    };
    'application/mp21': {
        source: string;
        extensions: string[];
    };
    'application/mp4': {
        source: string;
        extensions: string[];
    };
    'application/mpeg4-generic': {
        source: string;
    };
    'application/mpeg4-iod': {
        source: string;
    };
    'application/mpeg4-iod-xmt': {
        source: string;
    };
    'application/mrb-consumer+xml': {
        source: string;
        compressible: boolean;
    };
    'application/mrb-publish+xml': {
        source: string;
        compressible: boolean;
    };
    'application/msc-ivr+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/msc-mixer+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/msword': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/mud+json': {
        source: string;
        compressible: boolean;
    };
    'application/multipart-core': {
        source: string;
    };
    'application/mxf': {
        source: string;
        extensions: string[];
    };
    'application/n-quads': {
        source: string;
        extensions: string[];
    };
    'application/n-triples': {
        source: string;
        extensions: string[];
    };
    'application/nasdata': {
        source: string;
    };
    'application/news-checkgroups': {
        source: string;
        charset: string;
    };
    'application/news-groupinfo': {
        source: string;
        charset: string;
    };
    'application/news-transmission': {
        source: string;
    };
    'application/nlsml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/node': {
        source: string;
        extensions: string[];
    };
    'application/nss': {
        source: string;
    };
    'application/oauth-authz-req+jwt': {
        source: string;
    };
    'application/oblivious-dns-message': {
        source: string;
    };
    'application/ocsp-request': {
        source: string;
    };
    'application/ocsp-response': {
        source: string;
    };
    'application/octet-stream': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/oda': {
        source: string;
        extensions: string[];
    };
    'application/odm+xml': {
        source: string;
        compressible: boolean;
    };
    'application/odx': {
        source: string;
    };
    'application/oebps-package+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/ogg': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/omdoc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/onenote': {
        source: string;
        extensions: string[];
    };
    'application/opc-nodeset+xml': {
        source: string;
        compressible: boolean;
    };
    'application/oscore': {
        source: string;
    };
    'application/oxps': {
        source: string;
        extensions: string[];
    };
    'application/p21': {
        source: string;
    };
    'application/p21+zip': {
        source: string;
        compressible: boolean;
    };
    'application/p2p-overlay+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/parityfec': {
        source: string;
    };
    'application/passport': {
        source: string;
    };
    'application/patch-ops-error+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/pdf': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/pdx': {
        source: string;
    };
    'application/pem-certificate-chain': {
        source: string;
    };
    'application/pgp-encrypted': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/pgp-keys': {
        source: string;
        extensions: string[];
    };
    'application/pgp-signature': {
        source: string;
        extensions: string[];
    };
    'application/pics-rules': {
        source: string;
        extensions: string[];
    };
    'application/pidf+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/pidf-diff+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/pkcs10': {
        source: string;
        extensions: string[];
    };
    'application/pkcs12': {
        source: string;
    };
    'application/pkcs7-mime': {
        source: string;
        extensions: string[];
    };
    'application/pkcs7-signature': {
        source: string;
        extensions: string[];
    };
    'application/pkcs8': {
        source: string;
        extensions: string[];
    };
    'application/pkcs8-encrypted': {
        source: string;
    };
    'application/pkix-attr-cert': {
        source: string;
        extensions: string[];
    };
    'application/pkix-cert': {
        source: string;
        extensions: string[];
    };
    'application/pkix-crl': {
        source: string;
        extensions: string[];
    };
    'application/pkix-pkipath': {
        source: string;
        extensions: string[];
    };
    'application/pkixcmp': {
        source: string;
        extensions: string[];
    };
    'application/pls+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/poc-settings+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/postscript': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/ppsp-tracker+json': {
        source: string;
        compressible: boolean;
    };
    'application/problem+json': {
        source: string;
        compressible: boolean;
    };
    'application/problem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/provenance+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/prs.alvestrand.titrax-sheet': {
        source: string;
    };
    'application/prs.cww': {
        source: string;
        extensions: string[];
    };
    'application/prs.cyn': {
        source: string;
        charset: string;
    };
    'application/prs.hpub+zip': {
        source: string;
        compressible: boolean;
    };
    'application/prs.nprend': {
        source: string;
    };
    'application/prs.plucker': {
        source: string;
    };
    'application/prs.rdf-xml-crypt': {
        source: string;
    };
    'application/prs.xsf+xml': {
        source: string;
        compressible: boolean;
    };
    'application/pskc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/pvd+json': {
        source: string;
        compressible: boolean;
    };
    'application/qsig': {
        source: string;
    };
    'application/raml+yaml': {
        compressible: boolean;
        extensions: string[];
    };
    'application/raptorfec': {
        source: string;
    };
    'application/rdap+json': {
        source: string;
        compressible: boolean;
    };
    'application/rdf+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/reginfo+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/relax-ng-compact-syntax': {
        source: string;
        extensions: string[];
    };
    'application/remote-printing': {
        source: string;
    };
    'application/reputon+json': {
        source: string;
        compressible: boolean;
    };
    'application/resource-lists+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/resource-lists-diff+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/rfc+xml': {
        source: string;
        compressible: boolean;
    };
    'application/riscos': {
        source: string;
    };
    'application/rlmi+xml': {
        source: string;
        compressible: boolean;
    };
    'application/rls-services+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/route-apd+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/route-s-tsid+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/route-usd+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/rpki-ghostbusters': {
        source: string;
        extensions: string[];
    };
    'application/rpki-manifest': {
        source: string;
        extensions: string[];
    };
    'application/rpki-publication': {
        source: string;
    };
    'application/rpki-roa': {
        source: string;
        extensions: string[];
    };
    'application/rpki-updown': {
        source: string;
    };
    'application/rsd+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/rss+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/rtf': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/rtploopback': {
        source: string;
    };
    'application/rtx': {
        source: string;
    };
    'application/samlassertion+xml': {
        source: string;
        compressible: boolean;
    };
    'application/samlmetadata+xml': {
        source: string;
        compressible: boolean;
    };
    'application/sarif+json': {
        source: string;
        compressible: boolean;
    };
    'application/sarif-external-properties+json': {
        source: string;
        compressible: boolean;
    };
    'application/sbe': {
        source: string;
    };
    'application/sbml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/scaip+xml': {
        source: string;
        compressible: boolean;
    };
    'application/scim+json': {
        source: string;
        compressible: boolean;
    };
    'application/scvp-cv-request': {
        source: string;
        extensions: string[];
    };
    'application/scvp-cv-response': {
        source: string;
        extensions: string[];
    };
    'application/scvp-vp-request': {
        source: string;
        extensions: string[];
    };
    'application/scvp-vp-response': {
        source: string;
        extensions: string[];
    };
    'application/sdp': {
        source: string;
        extensions: string[];
    };
    'application/secevent+jwt': {
        source: string;
    };
    'application/senml+cbor': {
        source: string;
    };
    'application/senml+json': {
        source: string;
        compressible: boolean;
    };
    'application/senml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/senml-etch+cbor': {
        source: string;
    };
    'application/senml-etch+json': {
        source: string;
        compressible: boolean;
    };
    'application/senml-exi': {
        source: string;
    };
    'application/sensml+cbor': {
        source: string;
    };
    'application/sensml+json': {
        source: string;
        compressible: boolean;
    };
    'application/sensml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/sensml-exi': {
        source: string;
    };
    'application/sep+xml': {
        source: string;
        compressible: boolean;
    };
    'application/sep-exi': {
        source: string;
    };
    'application/session-info': {
        source: string;
    };
    'application/set-payment': {
        source: string;
    };
    'application/set-payment-initiation': {
        source: string;
        extensions: string[];
    };
    'application/set-registration': {
        source: string;
    };
    'application/set-registration-initiation': {
        source: string;
        extensions: string[];
    };
    'application/sgml': {
        source: string;
    };
    'application/sgml-open-catalog': {
        source: string;
    };
    'application/shf+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/sieve': {
        source: string;
        extensions: string[];
    };
    'application/simple-filter+xml': {
        source: string;
        compressible: boolean;
    };
    'application/simple-message-summary': {
        source: string;
    };
    'application/simplesymbolcontainer': {
        source: string;
    };
    'application/sipc': {
        source: string;
    };
    'application/slate': {
        source: string;
    };
    'application/smil': {
        source: string;
    };
    'application/smil+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/smpte336m': {
        source: string;
    };
    'application/soap+fastinfoset': {
        source: string;
    };
    'application/soap+xml': {
        source: string;
        compressible: boolean;
    };
    'application/sparql-query': {
        source: string;
        extensions: string[];
    };
    'application/sparql-results+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/spdx+json': {
        source: string;
        compressible: boolean;
    };
    'application/spirits-event+xml': {
        source: string;
        compressible: boolean;
    };
    'application/sql': {
        source: string;
    };
    'application/srgs': {
        source: string;
        extensions: string[];
    };
    'application/srgs+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/sru+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/ssdl+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/ssml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/stix+json': {
        source: string;
        compressible: boolean;
    };
    'application/swid+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/tamp-apex-update': {
        source: string;
    };
    'application/tamp-apex-update-confirm': {
        source: string;
    };
    'application/tamp-community-update': {
        source: string;
    };
    'application/tamp-community-update-confirm': {
        source: string;
    };
    'application/tamp-error': {
        source: string;
    };
    'application/tamp-sequence-adjust': {
        source: string;
    };
    'application/tamp-sequence-adjust-confirm': {
        source: string;
    };
    'application/tamp-status-query': {
        source: string;
    };
    'application/tamp-status-response': {
        source: string;
    };
    'application/tamp-update': {
        source: string;
    };
    'application/tamp-update-confirm': {
        source: string;
    };
    'application/tar': {
        compressible: boolean;
    };
    'application/taxii+json': {
        source: string;
        compressible: boolean;
    };
    'application/td+json': {
        source: string;
        compressible: boolean;
    };
    'application/tei+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/tetra_isi': {
        source: string;
    };
    'application/thraud+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/timestamp-query': {
        source: string;
    };
    'application/timestamp-reply': {
        source: string;
    };
    'application/timestamped-data': {
        source: string;
        extensions: string[];
    };
    'application/tlsrpt+gzip': {
        source: string;
    };
    'application/tlsrpt+json': {
        source: string;
        compressible: boolean;
    };
    'application/tnauthlist': {
        source: string;
    };
    'application/token-introspection+jwt': {
        source: string;
    };
    'application/toml': {
        compressible: boolean;
        extensions: string[];
    };
    'application/trickle-ice-sdpfrag': {
        source: string;
    };
    'application/trig': {
        source: string;
        extensions: string[];
    };
    'application/ttml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/tve-trigger': {
        source: string;
    };
    'application/tzif': {
        source: string;
    };
    'application/tzif-leap': {
        source: string;
    };
    'application/ubjson': {
        compressible: boolean;
        extensions: string[];
    };
    'application/ulpfec': {
        source: string;
    };
    'application/urc-grpsheet+xml': {
        source: string;
        compressible: boolean;
    };
    'application/urc-ressheet+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/urc-targetdesc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/urc-uisocketdesc+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vcard+json': {
        source: string;
        compressible: boolean;
    };
    'application/vcard+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vemmi': {
        source: string;
    };
    'application/vividence.scriptfile': {
        source: string;
    };
    'application/vnd.1000minds.decision-model+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.3gpp-prose+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp-prose-pc3ch+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp-v2x-local-service-information': {
        source: string;
    };
    'application/vnd.3gpp.5gnas': {
        source: string;
    };
    'application/vnd.3gpp.access-transfer-events+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.bsf+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.gmop+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.gtpc': {
        source: string;
    };
    'application/vnd.3gpp.interworking-data': {
        source: string;
    };
    'application/vnd.3gpp.lpp': {
        source: string;
    };
    'application/vnd.3gpp.mc-signalling-ear': {
        source: string;
    };
    'application/vnd.3gpp.mcdata-affiliation-command+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcdata-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcdata-payload': {
        source: string;
    };
    'application/vnd.3gpp.mcdata-service-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcdata-signalling': {
        source: string;
    };
    'application/vnd.3gpp.mcdata-ue-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcdata-user-profile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-affiliation-command+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-floor-request+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-location-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-mbms-usage-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-service-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-signed+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-ue-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-ue-init-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcptt-user-profile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-affiliation-command+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-affiliation-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-location-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-mbms-usage-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-service-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-transmission-request+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-ue-config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mcvideo-user-profile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.mid-call+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.ngap': {
        source: string;
    };
    'application/vnd.3gpp.pfcp': {
        source: string;
    };
    'application/vnd.3gpp.pic-bw-large': {
        source: string;
        extensions: string[];
    };
    'application/vnd.3gpp.pic-bw-small': {
        source: string;
        extensions: string[];
    };
    'application/vnd.3gpp.pic-bw-var': {
        source: string;
        extensions: string[];
    };
    'application/vnd.3gpp.s1ap': {
        source: string;
    };
    'application/vnd.3gpp.sms': {
        source: string;
    };
    'application/vnd.3gpp.sms+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.srvcc-ext+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.srvcc-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.state-and-event-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp.ussd+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp2.bcmcsinfo+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.3gpp2.sms': {
        source: string;
    };
    'application/vnd.3gpp2.tcap': {
        source: string;
        extensions: string[];
    };
    'application/vnd.3lightssoftware.imagescal': {
        source: string;
    };
    'application/vnd.3m.post-it-notes': {
        source: string;
        extensions: string[];
    };
    'application/vnd.accpac.simply.aso': {
        source: string;
        extensions: string[];
    };
    'application/vnd.accpac.simply.imp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.acucobol': {
        source: string;
        extensions: string[];
    };
    'application/vnd.acucorp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.adobe.air-application-installer-package+zip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.adobe.flash.movie': {
        source: string;
    };
    'application/vnd.adobe.formscentral.fcdt': {
        source: string;
        extensions: string[];
    };
    'application/vnd.adobe.fxp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.adobe.partial-upload': {
        source: string;
    };
    'application/vnd.adobe.xdp+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.adobe.xfdf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.aether.imp': {
        source: string;
    };
    'application/vnd.afpc.afplinedata': {
        source: string;
    };
    'application/vnd.afpc.afplinedata-pagedef': {
        source: string;
    };
    'application/vnd.afpc.cmoca-cmresource': {
        source: string;
    };
    'application/vnd.afpc.foca-charset': {
        source: string;
    };
    'application/vnd.afpc.foca-codedfont': {
        source: string;
    };
    'application/vnd.afpc.foca-codepage': {
        source: string;
    };
    'application/vnd.afpc.modca': {
        source: string;
    };
    'application/vnd.afpc.modca-cmtable': {
        source: string;
    };
    'application/vnd.afpc.modca-formdef': {
        source: string;
    };
    'application/vnd.afpc.modca-mediummap': {
        source: string;
    };
    'application/vnd.afpc.modca-objectcontainer': {
        source: string;
    };
    'application/vnd.afpc.modca-overlay': {
        source: string;
    };
    'application/vnd.afpc.modca-pagesegment': {
        source: string;
    };
    'application/vnd.age': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ah-barcode': {
        source: string;
    };
    'application/vnd.ahead.space': {
        source: string;
        extensions: string[];
    };
    'application/vnd.airzip.filesecure.azf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.airzip.filesecure.azs': {
        source: string;
        extensions: string[];
    };
    'application/vnd.amadeus+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.amazon.ebook': {
        source: string;
        extensions: string[];
    };
    'application/vnd.amazon.mobi8-ebook': {
        source: string;
    };
    'application/vnd.americandynamics.acc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.amiga.ami': {
        source: string;
        extensions: string[];
    };
    'application/vnd.amundsen.maze+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.android.ota': {
        source: string;
    };
    'application/vnd.android.package-archive': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.anki': {
        source: string;
    };
    'application/vnd.anser-web-certificate-issue-initiation': {
        source: string;
        extensions: string[];
    };
    'application/vnd.anser-web-funds-transfer-initiation': {
        source: string;
        extensions: string[];
    };
    'application/vnd.antix.game-component': {
        source: string;
        extensions: string[];
    };
    'application/vnd.apache.arrow.file': {
        source: string;
    };
    'application/vnd.apache.arrow.stream': {
        source: string;
    };
    'application/vnd.apache.thrift.binary': {
        source: string;
    };
    'application/vnd.apache.thrift.compact': {
        source: string;
    };
    'application/vnd.apache.thrift.json': {
        source: string;
    };
    'application/vnd.api+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.aplextor.warrp+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.apothekende.reservation+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.apple.installer+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.apple.keynote': {
        source: string;
        extensions: string[];
    };
    'application/vnd.apple.mpegurl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.apple.numbers': {
        source: string;
        extensions: string[];
    };
    'application/vnd.apple.pages': {
        source: string;
        extensions: string[];
    };
    'application/vnd.apple.pkpass': {
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.arastra.swi': {
        source: string;
    };
    'application/vnd.aristanetworks.swi': {
        source: string;
        extensions: string[];
    };
    'application/vnd.artisan+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.artsquare': {
        source: string;
    };
    'application/vnd.astraea-software.iota': {
        source: string;
        extensions: string[];
    };
    'application/vnd.audiograph': {
        source: string;
        extensions: string[];
    };
    'application/vnd.autopackage': {
        source: string;
    };
    'application/vnd.avalon+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.avistar+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.balsamiq.bmml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.balsamiq.bmpr': {
        source: string;
    };
    'application/vnd.banana-accounting': {
        source: string;
    };
    'application/vnd.bbf.usp.error': {
        source: string;
    };
    'application/vnd.bbf.usp.msg': {
        source: string;
    };
    'application/vnd.bbf.usp.msg+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.bekitzur-stech+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.bint.med-content': {
        source: string;
    };
    'application/vnd.biopax.rdf+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.blink-idb-value-wrapper': {
        source: string;
    };
    'application/vnd.blueice.multipass': {
        source: string;
        extensions: string[];
    };
    'application/vnd.bluetooth.ep.oob': {
        source: string;
    };
    'application/vnd.bluetooth.le.oob': {
        source: string;
    };
    'application/vnd.bmi': {
        source: string;
        extensions: string[];
    };
    'application/vnd.bpf': {
        source: string;
    };
    'application/vnd.bpf3': {
        source: string;
    };
    'application/vnd.businessobjects': {
        source: string;
        extensions: string[];
    };
    'application/vnd.byu.uapi+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.cab-jscript': {
        source: string;
    };
    'application/vnd.canon-cpdl': {
        source: string;
    };
    'application/vnd.canon-lips': {
        source: string;
    };
    'application/vnd.capasystems-pg+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.cendio.thinlinc.clientconf': {
        source: string;
    };
    'application/vnd.century-systems.tcp_stream': {
        source: string;
    };
    'application/vnd.chemdraw+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.chess-pgn': {
        source: string;
    };
    'application/vnd.chipnuts.karaoke-mmd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ciedi': {
        source: string;
    };
    'application/vnd.cinderella': {
        source: string;
        extensions: string[];
    };
    'application/vnd.cirpack.isdn-ext': {
        source: string;
    };
    'application/vnd.citationstyles.style+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.claymore': {
        source: string;
        extensions: string[];
    };
    'application/vnd.cloanto.rp9': {
        source: string;
        extensions: string[];
    };
    'application/vnd.clonk.c4group': {
        source: string;
        extensions: string[];
    };
    'application/vnd.cluetrust.cartomobile-config': {
        source: string;
        extensions: string[];
    };
    'application/vnd.cluetrust.cartomobile-config-pkg': {
        source: string;
        extensions: string[];
    };
    'application/vnd.coffeescript': {
        source: string;
    };
    'application/vnd.collabio.xodocuments.document': {
        source: string;
    };
    'application/vnd.collabio.xodocuments.document-template': {
        source: string;
    };
    'application/vnd.collabio.xodocuments.presentation': {
        source: string;
    };
    'application/vnd.collabio.xodocuments.presentation-template': {
        source: string;
    };
    'application/vnd.collabio.xodocuments.spreadsheet': {
        source: string;
    };
    'application/vnd.collabio.xodocuments.spreadsheet-template': {
        source: string;
    };
    'application/vnd.collection+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.collection.doc+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.collection.next+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.comicbook+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.comicbook-rar': {
        source: string;
    };
    'application/vnd.commerce-battelle': {
        source: string;
    };
    'application/vnd.commonspace': {
        source: string;
        extensions: string[];
    };
    'application/vnd.contact.cmsg': {
        source: string;
        extensions: string[];
    };
    'application/vnd.coreos.ignition+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.cosmocaller': {
        source: string;
        extensions: string[];
    };
    'application/vnd.crick.clicker': {
        source: string;
        extensions: string[];
    };
    'application/vnd.crick.clicker.keyboard': {
        source: string;
        extensions: string[];
    };
    'application/vnd.crick.clicker.palette': {
        source: string;
        extensions: string[];
    };
    'application/vnd.crick.clicker.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.crick.clicker.wordbank': {
        source: string;
        extensions: string[];
    };
    'application/vnd.criticaltools.wbs+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.cryptii.pipe+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.crypto-shade-file': {
        source: string;
    };
    'application/vnd.cryptomator.encrypted': {
        source: string;
    };
    'application/vnd.cryptomator.vault': {
        source: string;
    };
    'application/vnd.ctc-posml': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ctct.ws+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.cups-pdf': {
        source: string;
    };
    'application/vnd.cups-postscript': {
        source: string;
    };
    'application/vnd.cups-ppd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.cups-raster': {
        source: string;
    };
    'application/vnd.cups-raw': {
        source: string;
    };
    'application/vnd.curl': {
        source: string;
    };
    'application/vnd.curl.car': {
        source: string;
        extensions: string[];
    };
    'application/vnd.curl.pcurl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.cyan.dean.root+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.cybank': {
        source: string;
    };
    'application/vnd.cyclonedx+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.cyclonedx+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.d2l.coursepackage1p0+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.d3m-dataset': {
        source: string;
    };
    'application/vnd.d3m-problem': {
        source: string;
    };
    'application/vnd.dart': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.data-vision.rdz': {
        source: string;
        extensions: string[];
    };
    'application/vnd.datapackage+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dataresource+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dbf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.debian.binary-package': {
        source: string;
    };
    'application/vnd.dece.data': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dece.ttml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.dece.unspecified': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dece.zip': {
        source: string;
        extensions: string[];
    };
    'application/vnd.denovo.fcselayout-link': {
        source: string;
        extensions: string[];
    };
    'application/vnd.desmume.movie': {
        source: string;
    };
    'application/vnd.dir-bi.plate-dl-nosuffix': {
        source: string;
    };
    'application/vnd.dm.delegation+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dna': {
        source: string;
        extensions: string[];
    };
    'application/vnd.document+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dolby.mlp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dolby.mobile.1': {
        source: string;
    };
    'application/vnd.dolby.mobile.2': {
        source: string;
    };
    'application/vnd.doremir.scorecloud-binary-document': {
        source: string;
    };
    'application/vnd.dpgraph': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dreamfactory': {
        source: string;
        extensions: string[];
    };
    'application/vnd.drive+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ds-keypoint': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dtg.local': {
        source: string;
    };
    'application/vnd.dtg.local.flash': {
        source: string;
    };
    'application/vnd.dtg.local.html': {
        source: string;
    };
    'application/vnd.dvb.ait': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dvb.dvbisl+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.dvbj': {
        source: string;
    };
    'application/vnd.dvb.esgcontainer': {
        source: string;
    };
    'application/vnd.dvb.ipdcdftnotifaccess': {
        source: string;
    };
    'application/vnd.dvb.ipdcesgaccess': {
        source: string;
    };
    'application/vnd.dvb.ipdcesgaccess2': {
        source: string;
    };
    'application/vnd.dvb.ipdcesgpdd': {
        source: string;
    };
    'application/vnd.dvb.ipdcroaming': {
        source: string;
    };
    'application/vnd.dvb.iptv.alfec-base': {
        source: string;
    };
    'application/vnd.dvb.iptv.alfec-enhancement': {
        source: string;
    };
    'application/vnd.dvb.notif-aggregate-root+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.notif-container+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.notif-generic+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.notif-ia-msglist+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.notif-ia-registration-request+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.notif-ia-registration-response+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.notif-init+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.dvb.pfr': {
        source: string;
    };
    'application/vnd.dvb.service': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dxr': {
        source: string;
    };
    'application/vnd.dynageo': {
        source: string;
        extensions: string[];
    };
    'application/vnd.dzr': {
        source: string;
    };
    'application/vnd.easykaraoke.cdgdownload': {
        source: string;
    };
    'application/vnd.ecdis-update': {
        source: string;
    };
    'application/vnd.ecip.rlp': {
        source: string;
    };
    'application/vnd.eclipse.ditto+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ecowin.chart': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ecowin.filerequest': {
        source: string;
    };
    'application/vnd.ecowin.fileupdate': {
        source: string;
    };
    'application/vnd.ecowin.series': {
        source: string;
    };
    'application/vnd.ecowin.seriesrequest': {
        source: string;
    };
    'application/vnd.ecowin.seriesupdate': {
        source: string;
    };
    'application/vnd.efi.img': {
        source: string;
    };
    'application/vnd.efi.iso': {
        source: string;
    };
    'application/vnd.emclient.accessrequest+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.enliven': {
        source: string;
        extensions: string[];
    };
    'application/vnd.enphase.envoy': {
        source: string;
    };
    'application/vnd.eprints.data+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.epson.esf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.epson.msf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.epson.quickanime': {
        source: string;
        extensions: string[];
    };
    'application/vnd.epson.salt': {
        source: string;
        extensions: string[];
    };
    'application/vnd.epson.ssf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ericsson.quickcall': {
        source: string;
    };
    'application/vnd.espass-espass+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.eszigno3+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.etsi.aoc+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.asic-e+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.asic-s+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.cug+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvcommand+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvdiscovery+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvprofile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvsad-bc+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvsad-cod+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvsad-npvr+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvservice+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvsync+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.iptvueprofile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.mcid+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.mheg5': {
        source: string;
    };
    'application/vnd.etsi.overload-control-policy-dataset+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.pstn+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.sci+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.simservs+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.timestamp-token': {
        source: string;
    };
    'application/vnd.etsi.tsl+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.etsi.tsl.der': {
        source: string;
    };
    'application/vnd.eu.kasparian.car+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.eudora.data': {
        source: string;
    };
    'application/vnd.evolv.ecig.profile': {
        source: string;
    };
    'application/vnd.evolv.ecig.settings': {
        source: string;
    };
    'application/vnd.evolv.ecig.theme': {
        source: string;
    };
    'application/vnd.exstream-empower+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.exstream-package': {
        source: string;
    };
    'application/vnd.ezpix-album': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ezpix-package': {
        source: string;
        extensions: string[];
    };
    'application/vnd.f-secure.mobile': {
        source: string;
    };
    'application/vnd.familysearch.gedcom+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.fastcopy-disk-image': {
        source: string;
    };
    'application/vnd.fdf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fdsn.mseed': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fdsn.seed': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ffsns': {
        source: string;
    };
    'application/vnd.ficlab.flb+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.filmit.zfc': {
        source: string;
    };
    'application/vnd.fints': {
        source: string;
    };
    'application/vnd.firemonkeys.cloudcell': {
        source: string;
    };
    'application/vnd.flographit': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fluxtime.clip': {
        source: string;
        extensions: string[];
    };
    'application/vnd.font-fontforge-sfd': {
        source: string;
    };
    'application/vnd.framemaker': {
        source: string;
        extensions: string[];
    };
    'application/vnd.frogans.fnc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.frogans.ltf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fsc.weblaunch': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujifilm.fb.docuworks': {
        source: string;
    };
    'application/vnd.fujifilm.fb.docuworks.binder': {
        source: string;
    };
    'application/vnd.fujifilm.fb.docuworks.container': {
        source: string;
    };
    'application/vnd.fujifilm.fb.jfi+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.fujitsu.oasys': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujitsu.oasys2': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujitsu.oasys3': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujitsu.oasysgp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujitsu.oasysprs': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujixerox.art-ex': {
        source: string;
    };
    'application/vnd.fujixerox.art4': {
        source: string;
    };
    'application/vnd.fujixerox.ddd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujixerox.docuworks': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujixerox.docuworks.binder': {
        source: string;
        extensions: string[];
    };
    'application/vnd.fujixerox.docuworks.container': {
        source: string;
    };
    'application/vnd.fujixerox.hbpl': {
        source: string;
    };
    'application/vnd.fut-misnet': {
        source: string;
    };
    'application/vnd.futoin+cbor': {
        source: string;
    };
    'application/vnd.futoin+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.fuzzysheet': {
        source: string;
        extensions: string[];
    };
    'application/vnd.genomatix.tuxedo': {
        source: string;
        extensions: string[];
    };
    'application/vnd.gentics.grd+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.geo+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.geocube+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.geogebra.file': {
        source: string;
        extensions: string[];
    };
    'application/vnd.geogebra.slides': {
        source: string;
    };
    'application/vnd.geogebra.tool': {
        source: string;
        extensions: string[];
    };
    'application/vnd.geometry-explorer': {
        source: string;
        extensions: string[];
    };
    'application/vnd.geonext': {
        source: string;
        extensions: string[];
    };
    'application/vnd.geoplan': {
        source: string;
        extensions: string[];
    };
    'application/vnd.geospace': {
        source: string;
        extensions: string[];
    };
    'application/vnd.gerber': {
        source: string;
    };
    'application/vnd.globalplatform.card-content-mgt': {
        source: string;
    };
    'application/vnd.globalplatform.card-content-mgt-response': {
        source: string;
    };
    'application/vnd.gmx': {
        source: string;
        extensions: string[];
    };
    'application/vnd.google-apps.document': {
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.google-apps.presentation': {
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.google-apps.spreadsheet': {
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.google-earth.kml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.google-earth.kmz': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.gov.sk.e-form+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.gov.sk.e-form+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.gov.sk.xmldatacontainer+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.grafeq': {
        source: string;
        extensions: string[];
    };
    'application/vnd.gridmp': {
        source: string;
    };
    'application/vnd.groove-account': {
        source: string;
        extensions: string[];
    };
    'application/vnd.groove-help': {
        source: string;
        extensions: string[];
    };
    'application/vnd.groove-identity-message': {
        source: string;
        extensions: string[];
    };
    'application/vnd.groove-injector': {
        source: string;
        extensions: string[];
    };
    'application/vnd.groove-tool-message': {
        source: string;
        extensions: string[];
    };
    'application/vnd.groove-tool-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.groove-vcard': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hal+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.hal+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.handheld-entertainment+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.hbci': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hc+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.hcl-bireports': {
        source: string;
    };
    'application/vnd.hdt': {
        source: string;
    };
    'application/vnd.heroku+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.hhe.lesson-player': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hl7cda+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/vnd.hl7v2+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/vnd.hp-hpgl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hp-hpid': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hp-hps': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hp-jlyt': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hp-pcl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hp-pclxl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.httphone': {
        source: string;
    };
    'application/vnd.hydrostatix.sof-data': {
        source: string;
        extensions: string[];
    };
    'application/vnd.hyper+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.hyper-item+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.hyperdrive+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.hzn-3d-crossword': {
        source: string;
    };
    'application/vnd.ibm.afplinedata': {
        source: string;
    };
    'application/vnd.ibm.electronic-media': {
        source: string;
    };
    'application/vnd.ibm.minipay': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ibm.modcap': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ibm.rights-management': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ibm.secure-container': {
        source: string;
        extensions: string[];
    };
    'application/vnd.iccprofile': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ieee.1905': {
        source: string;
    };
    'application/vnd.igloader': {
        source: string;
        extensions: string[];
    };
    'application/vnd.imagemeter.folder+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.imagemeter.image+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.immervision-ivp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.immervision-ivu': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ims.imsccv1p1': {
        source: string;
    };
    'application/vnd.ims.imsccv1p2': {
        source: string;
    };
    'application/vnd.ims.imsccv1p3': {
        source: string;
    };
    'application/vnd.ims.lis.v2.result+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ims.lti.v2.toolconsumerprofile+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ims.lti.v2.toolproxy+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ims.lti.v2.toolproxy.id+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ims.lti.v2.toolsettings+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ims.lti.v2.toolsettings.simple+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.informedcontrol.rms+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.informix-visionary': {
        source: string;
    };
    'application/vnd.infotech.project': {
        source: string;
    };
    'application/vnd.infotech.project+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.innopath.wamp.notification': {
        source: string;
    };
    'application/vnd.insors.igm': {
        source: string;
        extensions: string[];
    };
    'application/vnd.intercon.formnet': {
        source: string;
        extensions: string[];
    };
    'application/vnd.intergeo': {
        source: string;
        extensions: string[];
    };
    'application/vnd.intertrust.digibox': {
        source: string;
    };
    'application/vnd.intertrust.nncp': {
        source: string;
    };
    'application/vnd.intu.qbo': {
        source: string;
        extensions: string[];
    };
    'application/vnd.intu.qfx': {
        source: string;
        extensions: string[];
    };
    'application/vnd.iptc.g2.catalogitem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.iptc.g2.conceptitem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.iptc.g2.knowledgeitem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.iptc.g2.newsitem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.iptc.g2.newsmessage+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.iptc.g2.packageitem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.iptc.g2.planningitem+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ipunplugged.rcprofile': {
        source: string;
        extensions: string[];
    };
    'application/vnd.irepository.package+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.is-xpr': {
        source: string;
        extensions: string[];
    };
    'application/vnd.isac.fcs': {
        source: string;
        extensions: string[];
    };
    'application/vnd.iso11783-10+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.jam': {
        source: string;
        extensions: string[];
    };
    'application/vnd.japannet-directory-service': {
        source: string;
    };
    'application/vnd.japannet-jpnstore-wakeup': {
        source: string;
    };
    'application/vnd.japannet-payment-wakeup': {
        source: string;
    };
    'application/vnd.japannet-registration': {
        source: string;
    };
    'application/vnd.japannet-registration-wakeup': {
        source: string;
    };
    'application/vnd.japannet-setstore-wakeup': {
        source: string;
    };
    'application/vnd.japannet-verification': {
        source: string;
    };
    'application/vnd.japannet-verification-wakeup': {
        source: string;
    };
    'application/vnd.jcp.javame.midlet-rms': {
        source: string;
        extensions: string[];
    };
    'application/vnd.jisp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.joost.joda-archive': {
        source: string;
        extensions: string[];
    };
    'application/vnd.jsk.isdn-ngn': {
        source: string;
    };
    'application/vnd.kahootz': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.karbon': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kchart': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kformula': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kivio': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kontour': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kpresenter': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kspread': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kde.kword': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kenameaapp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kidspiration': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kinar': {
        source: string;
        extensions: string[];
    };
    'application/vnd.koan': {
        source: string;
        extensions: string[];
    };
    'application/vnd.kodak-descriptor': {
        source: string;
        extensions: string[];
    };
    'application/vnd.las': {
        source: string;
    };
    'application/vnd.las.las+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.las.las+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.laszip': {
        source: string;
    };
    'application/vnd.leap+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.liberty-request+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.llamagraphics.life-balance.desktop': {
        source: string;
        extensions: string[];
    };
    'application/vnd.llamagraphics.life-balance.exchange+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.logipipe.circuit+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.loom': {
        source: string;
    };
    'application/vnd.lotus-1-2-3': {
        source: string;
        extensions: string[];
    };
    'application/vnd.lotus-approach': {
        source: string;
        extensions: string[];
    };
    'application/vnd.lotus-freelance': {
        source: string;
        extensions: string[];
    };
    'application/vnd.lotus-notes': {
        source: string;
        extensions: string[];
    };
    'application/vnd.lotus-organizer': {
        source: string;
        extensions: string[];
    };
    'application/vnd.lotus-screencam': {
        source: string;
        extensions: string[];
    };
    'application/vnd.lotus-wordpro': {
        source: string;
        extensions: string[];
    };
    'application/vnd.macports.portpkg': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mapbox-vector-tile': {
        source: string;
        extensions: string[];
    };
    'application/vnd.marlin.drm.actiontoken+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.marlin.drm.conftoken+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.marlin.drm.license+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.marlin.drm.mdcf': {
        source: string;
    };
    'application/vnd.mason+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.maxar.archive.3tz+zip': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.maxmind.maxmind-db': {
        source: string;
    };
    'application/vnd.mcd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.medcalcdata': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mediastation.cdkey': {
        source: string;
        extensions: string[];
    };
    'application/vnd.meridian-slingshot': {
        source: string;
    };
    'application/vnd.mfer': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mfmp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.micro+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.micrografx.flo': {
        source: string;
        extensions: string[];
    };
    'application/vnd.micrografx.igx': {
        source: string;
        extensions: string[];
    };
    'application/vnd.microsoft.portable-executable': {
        source: string;
    };
    'application/vnd.microsoft.windows.thumbnail-cache': {
        source: string;
    };
    'application/vnd.miele+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.mif': {
        source: string;
        extensions: string[];
    };
    'application/vnd.minisoft-hp3000-save': {
        source: string;
    };
    'application/vnd.mitsubishi.misty-guard.trustweb': {
        source: string;
    };
    'application/vnd.mobius.daf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mobius.dis': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mobius.mbk': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mobius.mqy': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mobius.msl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mobius.plc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mobius.txf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mophun.application': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mophun.certificate': {
        source: string;
        extensions: string[];
    };
    'application/vnd.motorola.flexsuite': {
        source: string;
    };
    'application/vnd.motorola.flexsuite.adsi': {
        source: string;
    };
    'application/vnd.motorola.flexsuite.fis': {
        source: string;
    };
    'application/vnd.motorola.flexsuite.gotap': {
        source: string;
    };
    'application/vnd.motorola.flexsuite.kmr': {
        source: string;
    };
    'application/vnd.motorola.flexsuite.ttc': {
        source: string;
    };
    'application/vnd.motorola.flexsuite.wem': {
        source: string;
    };
    'application/vnd.motorola.iprm': {
        source: string;
    };
    'application/vnd.mozilla.xul+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.ms-3mfdocument': {
        source: string;
    };
    'application/vnd.ms-artgalry': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-asf': {
        source: string;
    };
    'application/vnd.ms-cab-compressed': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-color.iccprofile': {
        source: string;
    };
    'application/vnd.ms-excel': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.ms-excel.addin.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-excel.sheet.binary.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-excel.sheet.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-excel.template.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-fontobject': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.ms-htmlhelp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-ims': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-lrm': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-office.activex+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ms-officetheme': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-opentype': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ms-outlook': {
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.ms-package.obfuscated-opentype': {
        source: string;
    };
    'application/vnd.ms-pki.seccat': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-pki.stl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-playready.initiator+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ms-powerpoint': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.ms-powerpoint.addin.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-powerpoint.presentation.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-powerpoint.slide.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-powerpoint.slideshow.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-powerpoint.template.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-printdevicecapabilities+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ms-printing.printticket+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ms-printschematicket+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ms-project': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-tnef': {
        source: string;
    };
    'application/vnd.ms-windows.devicepairing': {
        source: string;
    };
    'application/vnd.ms-windows.nwprinting.oob': {
        source: string;
    };
    'application/vnd.ms-windows.printerpairing': {
        source: string;
    };
    'application/vnd.ms-windows.wsd.oob': {
        source: string;
    };
    'application/vnd.ms-wmdrm.lic-chlg-req': {
        source: string;
    };
    'application/vnd.ms-wmdrm.lic-resp': {
        source: string;
    };
    'application/vnd.ms-wmdrm.meter-chlg-req': {
        source: string;
    };
    'application/vnd.ms-wmdrm.meter-resp': {
        source: string;
    };
    'application/vnd.ms-word.document.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-word.template.macroenabled.12': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-works': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-wpl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ms-xpsdocument': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.msa-disk-image': {
        source: string;
    };
    'application/vnd.mseq': {
        source: string;
        extensions: string[];
    };
    'application/vnd.msign': {
        source: string;
    };
    'application/vnd.multiad.creator': {
        source: string;
    };
    'application/vnd.multiad.creator.cif': {
        source: string;
    };
    'application/vnd.music-niff': {
        source: string;
    };
    'application/vnd.musician': {
        source: string;
        extensions: string[];
    };
    'application/vnd.muvee.style': {
        source: string;
        extensions: string[];
    };
    'application/vnd.mynfc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.nacamar.ybrid+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.ncd.control': {
        source: string;
    };
    'application/vnd.ncd.reference': {
        source: string;
    };
    'application/vnd.nearst.inv+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.nebumind.line': {
        source: string;
    };
    'application/vnd.nervana': {
        source: string;
    };
    'application/vnd.netfpx': {
        source: string;
    };
    'application/vnd.neurolanguage.nlu': {
        source: string;
        extensions: string[];
    };
    'application/vnd.nimn': {
        source: string;
    };
    'application/vnd.nintendo.nitro.rom': {
        source: string;
    };
    'application/vnd.nintendo.snes.rom': {
        source: string;
    };
    'application/vnd.nitf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.noblenet-directory': {
        source: string;
        extensions: string[];
    };
    'application/vnd.noblenet-sealer': {
        source: string;
        extensions: string[];
    };
    'application/vnd.noblenet-web': {
        source: string;
        extensions: string[];
    };
    'application/vnd.nokia.catalogs': {
        source: string;
    };
    'application/vnd.nokia.conml+wbxml': {
        source: string;
    };
    'application/vnd.nokia.conml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.nokia.iptv.config+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.nokia.isds-radio-presets': {
        source: string;
    };
    'application/vnd.nokia.landmark+wbxml': {
        source: string;
    };
    'application/vnd.nokia.landmark+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.nokia.landmarkcollection+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.nokia.n-gage.ac+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.nokia.n-gage.data': {
        source: string;
        extensions: string[];
    };
    'application/vnd.nokia.n-gage.symbian.install': {
        source: string;
        extensions: string[];
    };
    'application/vnd.nokia.ncd': {
        source: string;
    };
    'application/vnd.nokia.pcd+wbxml': {
        source: string;
    };
    'application/vnd.nokia.pcd+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.nokia.radio-preset': {
        source: string;
        extensions: string[];
    };
    'application/vnd.nokia.radio-presets': {
        source: string;
        extensions: string[];
    };
    'application/vnd.novadigm.edm': {
        source: string;
        extensions: string[];
    };
    'application/vnd.novadigm.edx': {
        source: string;
        extensions: string[];
    };
    'application/vnd.novadigm.ext': {
        source: string;
        extensions: string[];
    };
    'application/vnd.ntt-local.content-share': {
        source: string;
    };
    'application/vnd.ntt-local.file-transfer': {
        source: string;
    };
    'application/vnd.ntt-local.ogw_remote-access': {
        source: string;
    };
    'application/vnd.ntt-local.sip-ta_remote': {
        source: string;
    };
    'application/vnd.ntt-local.sip-ta_tcp_stream': {
        source: string;
    };
    'application/vnd.oasis.opendocument.chart': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.chart-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.database': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.formula': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.formula-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.graphics': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.graphics-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.image': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.image-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.presentation': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.presentation-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.spreadsheet': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.spreadsheet-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.text': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.text-master': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.text-template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oasis.opendocument.text-web': {
        source: string;
        extensions: string[];
    };
    'application/vnd.obn': {
        source: string;
    };
    'application/vnd.ocf+cbor': {
        source: string;
    };
    'application/vnd.oci.image.manifest.v1+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oftn.l10n+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.contentaccessdownload+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.contentaccessstreaming+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.cspg-hexbinary': {
        source: string;
    };
    'application/vnd.oipf.dae.svg+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.dae.xhtml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.mippvcontrolmessage+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.pae.gem': {
        source: string;
    };
    'application/vnd.oipf.spdiscovery+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.spdlist+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.ueprofile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oipf.userprofile+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.olpc-sugar': {
        source: string;
        extensions: string[];
    };
    'application/vnd.oma-scws-config': {
        source: string;
    };
    'application/vnd.oma-scws-http-request': {
        source: string;
    };
    'application/vnd.oma-scws-http-response': {
        source: string;
    };
    'application/vnd.oma.bcast.associated-procedure-parameter+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.drm-trigger+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.imd+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.ltkm': {
        source: string;
    };
    'application/vnd.oma.bcast.notification+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.provisioningtrigger': {
        source: string;
    };
    'application/vnd.oma.bcast.sgboot': {
        source: string;
    };
    'application/vnd.oma.bcast.sgdd+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.sgdu': {
        source: string;
    };
    'application/vnd.oma.bcast.simple-symbol-container': {
        source: string;
    };
    'application/vnd.oma.bcast.smartcard-trigger+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.sprov+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.bcast.stkm': {
        source: string;
    };
    'application/vnd.oma.cab-address-book+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.cab-feature-handler+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.cab-pcc+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.cab-subs-invite+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.cab-user-prefs+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.dcd': {
        source: string;
    };
    'application/vnd.oma.dcdc': {
        source: string;
    };
    'application/vnd.oma.dd2+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.oma.drm.risd+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.group-usage-list+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.lwm2m+cbor': {
        source: string;
    };
    'application/vnd.oma.lwm2m+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.lwm2m+tlv': {
        source: string;
    };
    'application/vnd.oma.pal+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.poc.detailed-progress-report+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.poc.final-report+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.poc.groups+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.poc.invocation-descriptor+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.poc.optimized-progress-report+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.push': {
        source: string;
    };
    'application/vnd.oma.scidm.messages+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oma.xcap-directory+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.omads-email+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/vnd.omads-file+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/vnd.omads-folder+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/vnd.omaloc-supl-init': {
        source: string;
    };
    'application/vnd.onepager': {
        source: string;
    };
    'application/vnd.onepagertamp': {
        source: string;
    };
    'application/vnd.onepagertamx': {
        source: string;
    };
    'application/vnd.onepagertat': {
        source: string;
    };
    'application/vnd.onepagertatp': {
        source: string;
    };
    'application/vnd.onepagertatx': {
        source: string;
    };
    'application/vnd.openblox.game+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.openblox.game-binary': {
        source: string;
    };
    'application/vnd.openeye.oeb': {
        source: string;
    };
    'application/vnd.openofficeorg.extension': {
        source: string;
        extensions: string[];
    };
    'application/vnd.openstreetmap.data+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.opentimestamps.ots': {
        source: string;
    };
    'application/vnd.openxmlformats-officedocument.custom-properties+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.customxmlproperties+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawing+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawingml.chart+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawingml.diagramcolors+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawingml.diagramdata+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawingml.diagramlayout+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.drawingml.diagramstyle+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.extended-properties+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.commentauthors+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.comments+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.handoutmaster+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.notesmaster+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.notesslide+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.presentation': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.presprops+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slide': {
        source: string;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slide+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slidelayout+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slidemaster+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slideshow': {
        source: string;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.slideupdateinfo+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.tablestyles+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.tags+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.presentationml.template.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.presentationml.viewprops+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.calcchain+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.externallink+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcachedefinition+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcacherecords+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.pivottable+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.querytable+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.revisionheaders+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.revisionlog+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.sharedstrings+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.sheetmetadata+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.tablesinglecells+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.usernames+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.volatiledependencies+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.theme+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.themeoverride+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.vmldrawing': {
        source: string;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.document': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.fonttable+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-officedocument.wordprocessingml.websettings+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-package.core-properties+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.openxmlformats-package.relationships+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oracle.resource+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.orange.indata': {
        source: string;
    };
    'application/vnd.osa.netdeploy': {
        source: string;
    };
    'application/vnd.osgeo.mapguide.package': {
        source: string;
        extensions: string[];
    };
    'application/vnd.osgi.bundle': {
        source: string;
    };
    'application/vnd.osgi.dp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.osgi.subsystem': {
        source: string;
        extensions: string[];
    };
    'application/vnd.otps.ct-kip+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.oxli.countgraph': {
        source: string;
    };
    'application/vnd.pagerduty+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.palm': {
        source: string;
        extensions: string[];
    };
    'application/vnd.panoply': {
        source: string;
    };
    'application/vnd.paos.xml': {
        source: string;
    };
    'application/vnd.patentdive': {
        source: string;
    };
    'application/vnd.patientecommsdoc': {
        source: string;
    };
    'application/vnd.pawaafile': {
        source: string;
        extensions: string[];
    };
    'application/vnd.pcos': {
        source: string;
    };
    'application/vnd.pg.format': {
        source: string;
        extensions: string[];
    };
    'application/vnd.pg.osasli': {
        source: string;
        extensions: string[];
    };
    'application/vnd.piaccess.application-licence': {
        source: string;
    };
    'application/vnd.picsel': {
        source: string;
        extensions: string[];
    };
    'application/vnd.pmi.widget': {
        source: string;
        extensions: string[];
    };
    'application/vnd.poc.group-advertisement+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.pocketlearn': {
        source: string;
        extensions: string[];
    };
    'application/vnd.powerbuilder6': {
        source: string;
        extensions: string[];
    };
    'application/vnd.powerbuilder6-s': {
        source: string;
    };
    'application/vnd.powerbuilder7': {
        source: string;
    };
    'application/vnd.powerbuilder7-s': {
        source: string;
    };
    'application/vnd.powerbuilder75': {
        source: string;
    };
    'application/vnd.powerbuilder75-s': {
        source: string;
    };
    'application/vnd.preminet': {
        source: string;
    };
    'application/vnd.previewsystems.box': {
        source: string;
        extensions: string[];
    };
    'application/vnd.proteus.magazine': {
        source: string;
        extensions: string[];
    };
    'application/vnd.psfs': {
        source: string;
    };
    'application/vnd.publishare-delta-tree': {
        source: string;
        extensions: string[];
    };
    'application/vnd.pvi.ptid1': {
        source: string;
        extensions: string[];
    };
    'application/vnd.pwg-multiplexed': {
        source: string;
    };
    'application/vnd.pwg-xhtml-print+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.qualcomm.brew-app-res': {
        source: string;
    };
    'application/vnd.quarantainenet': {
        source: string;
    };
    'application/vnd.quark.quarkxpress': {
        source: string;
        extensions: string[];
    };
    'application/vnd.quobject-quoxdocument': {
        source: string;
    };
    'application/vnd.radisys.moml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-audit+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-audit-conf+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-audit-conn+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-audit-dialog+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-audit-stream+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-conf+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog-base+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog-fax-detect+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog-fax-sendrecv+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog-group+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog-speech+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.radisys.msml-dialog-transform+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.rainstor.data': {
        source: string;
    };
    'application/vnd.rapid': {
        source: string;
    };
    'application/vnd.rar': {
        source: string;
        extensions: string[];
    };
    'application/vnd.realvnc.bed': {
        source: string;
        extensions: string[];
    };
    'application/vnd.recordare.musicxml': {
        source: string;
        extensions: string[];
    };
    'application/vnd.recordare.musicxml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.renlearn.rlprint': {
        source: string;
    };
    'application/vnd.resilient.logic': {
        source: string;
    };
    'application/vnd.restful+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.rig.cryptonote': {
        source: string;
        extensions: string[];
    };
    'application/vnd.rim.cod': {
        source: string;
        extensions: string[];
    };
    'application/vnd.rn-realmedia': {
        source: string;
        extensions: string[];
    };
    'application/vnd.rn-realmedia-vbr': {
        source: string;
        extensions: string[];
    };
    'application/vnd.route66.link66+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.rs-274x': {
        source: string;
    };
    'application/vnd.ruckus.download': {
        source: string;
    };
    'application/vnd.s3sms': {
        source: string;
    };
    'application/vnd.sailingtracker.track': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sar': {
        source: string;
    };
    'application/vnd.sbm.cid': {
        source: string;
    };
    'application/vnd.sbm.mid2': {
        source: string;
    };
    'application/vnd.scribus': {
        source: string;
    };
    'application/vnd.sealed.3df': {
        source: string;
    };
    'application/vnd.sealed.csf': {
        source: string;
    };
    'application/vnd.sealed.doc': {
        source: string;
    };
    'application/vnd.sealed.eml': {
        source: string;
    };
    'application/vnd.sealed.mht': {
        source: string;
    };
    'application/vnd.sealed.net': {
        source: string;
    };
    'application/vnd.sealed.ppt': {
        source: string;
    };
    'application/vnd.sealed.tiff': {
        source: string;
    };
    'application/vnd.sealed.xls': {
        source: string;
    };
    'application/vnd.sealedmedia.softseal.html': {
        source: string;
    };
    'application/vnd.sealedmedia.softseal.pdf': {
        source: string;
    };
    'application/vnd.seemail': {
        source: string;
        extensions: string[];
    };
    'application/vnd.seis+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.sema': {
        source: string;
        extensions: string[];
    };
    'application/vnd.semd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.semf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.shade-save-file': {
        source: string;
    };
    'application/vnd.shana.informed.formdata': {
        source: string;
        extensions: string[];
    };
    'application/vnd.shana.informed.formtemplate': {
        source: string;
        extensions: string[];
    };
    'application/vnd.shana.informed.interchange': {
        source: string;
        extensions: string[];
    };
    'application/vnd.shana.informed.package': {
        source: string;
        extensions: string[];
    };
    'application/vnd.shootproof+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.shopkick+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.shp': {
        source: string;
    };
    'application/vnd.shx': {
        source: string;
    };
    'application/vnd.sigrok.session': {
        source: string;
    };
    'application/vnd.simtech-mindmapper': {
        source: string;
        extensions: string[];
    };
    'application/vnd.siren+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.smaf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.smart.notebook': {
        source: string;
    };
    'application/vnd.smart.teacher': {
        source: string;
        extensions: string[];
    };
    'application/vnd.snesdev-page-table': {
        source: string;
    };
    'application/vnd.software602.filler.form+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.software602.filler.form-xml-zip': {
        source: string;
    };
    'application/vnd.solent.sdkm+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.spotfire.dxp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.spotfire.sfs': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sqlite3': {
        source: string;
    };
    'application/vnd.sss-cod': {
        source: string;
    };
    'application/vnd.sss-dtf': {
        source: string;
    };
    'application/vnd.sss-ntf': {
        source: string;
    };
    'application/vnd.stardivision.calc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stardivision.draw': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stardivision.impress': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stardivision.math': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stardivision.writer': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stardivision.writer-global': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stepmania.package': {
        source: string;
        extensions: string[];
    };
    'application/vnd.stepmania.stepchart': {
        source: string;
        extensions: string[];
    };
    'application/vnd.street-stream': {
        source: string;
    };
    'application/vnd.sun.wadl+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.sun.xml.calc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.calc.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.draw': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.draw.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.impress': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.impress.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.math': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.writer': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.writer.global': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sun.xml.writer.template': {
        source: string;
        extensions: string[];
    };
    'application/vnd.sus-calendar': {
        source: string;
        extensions: string[];
    };
    'application/vnd.svd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.swiftview-ics': {
        source: string;
    };
    'application/vnd.sycle+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.syft+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.symbian.install': {
        source: string;
        extensions: string[];
    };
    'application/vnd.syncml+xml': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.syncml.dm+wbxml': {
        source: string;
        charset: string;
        extensions: string[];
    };
    'application/vnd.syncml.dm+xml': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.syncml.dm.notification': {
        source: string;
    };
    'application/vnd.syncml.dmddf+wbxml': {
        source: string;
    };
    'application/vnd.syncml.dmddf+xml': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.syncml.dmtnds+wbxml': {
        source: string;
    };
    'application/vnd.syncml.dmtnds+xml': {
        source: string;
        charset: string;
        compressible: boolean;
    };
    'application/vnd.syncml.ds.notification': {
        source: string;
    };
    'application/vnd.tableschema+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.tao.intent-module-archive': {
        source: string;
        extensions: string[];
    };
    'application/vnd.tcpdump.pcap': {
        source: string;
        extensions: string[];
    };
    'application/vnd.think-cell.ppttc+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.tmd.mediaflex.api+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.tml': {
        source: string;
    };
    'application/vnd.tmobile-livetv': {
        source: string;
        extensions: string[];
    };
    'application/vnd.tri.onesource': {
        source: string;
    };
    'application/vnd.trid.tpt': {
        source: string;
        extensions: string[];
    };
    'application/vnd.triscape.mxs': {
        source: string;
        extensions: string[];
    };
    'application/vnd.trueapp': {
        source: string;
        extensions: string[];
    };
    'application/vnd.truedoc': {
        source: string;
    };
    'application/vnd.ubisoft.webplayer': {
        source: string;
    };
    'application/vnd.ufdl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.uiq.theme': {
        source: string;
        extensions: string[];
    };
    'application/vnd.umajin': {
        source: string;
        extensions: string[];
    };
    'application/vnd.unity': {
        source: string;
        extensions: string[];
    };
    'application/vnd.uoml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.uplanet.alert': {
        source: string;
    };
    'application/vnd.uplanet.alert-wbxml': {
        source: string;
    };
    'application/vnd.uplanet.bearer-choice': {
        source: string;
    };
    'application/vnd.uplanet.bearer-choice-wbxml': {
        source: string;
    };
    'application/vnd.uplanet.cacheop': {
        source: string;
    };
    'application/vnd.uplanet.cacheop-wbxml': {
        source: string;
    };
    'application/vnd.uplanet.channel': {
        source: string;
    };
    'application/vnd.uplanet.channel-wbxml': {
        source: string;
    };
    'application/vnd.uplanet.list': {
        source: string;
    };
    'application/vnd.uplanet.list-wbxml': {
        source: string;
    };
    'application/vnd.uplanet.listcmd': {
        source: string;
    };
    'application/vnd.uplanet.listcmd-wbxml': {
        source: string;
    };
    'application/vnd.uplanet.signal': {
        source: string;
    };
    'application/vnd.uri-map': {
        source: string;
    };
    'application/vnd.valve.source.material': {
        source: string;
    };
    'application/vnd.vcx': {
        source: string;
        extensions: string[];
    };
    'application/vnd.vd-study': {
        source: string;
    };
    'application/vnd.vectorworks': {
        source: string;
    };
    'application/vnd.vel+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.verimatrix.vcas': {
        source: string;
    };
    'application/vnd.veritone.aion+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.veryant.thin': {
        source: string;
    };
    'application/vnd.ves.encrypted': {
        source: string;
    };
    'application/vnd.vidsoft.vidconference': {
        source: string;
    };
    'application/vnd.visio': {
        source: string;
        extensions: string[];
    };
    'application/vnd.visionary': {
        source: string;
        extensions: string[];
    };
    'application/vnd.vividence.scriptfile': {
        source: string;
    };
    'application/vnd.vsf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wap.sic': {
        source: string;
    };
    'application/vnd.wap.slc': {
        source: string;
    };
    'application/vnd.wap.wbxml': {
        source: string;
        charset: string;
        extensions: string[];
    };
    'application/vnd.wap.wmlc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wap.wmlscriptc': {
        source: string;
        extensions: string[];
    };
    'application/vnd.webturbo': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wfa.dpp': {
        source: string;
    };
    'application/vnd.wfa.p2p': {
        source: string;
    };
    'application/vnd.wfa.wsc': {
        source: string;
    };
    'application/vnd.windows.devicepairing': {
        source: string;
    };
    'application/vnd.wmc': {
        source: string;
    };
    'application/vnd.wmf.bootstrap': {
        source: string;
    };
    'application/vnd.wolfram.mathematica': {
        source: string;
    };
    'application/vnd.wolfram.mathematica.package': {
        source: string;
    };
    'application/vnd.wolfram.player': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wordperfect': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wqd': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wrq-hp3000-labelled': {
        source: string;
    };
    'application/vnd.wt.stf': {
        source: string;
        extensions: string[];
    };
    'application/vnd.wv.csp+wbxml': {
        source: string;
    };
    'application/vnd.wv.csp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.wv.ssp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.xacml+json': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.xara': {
        source: string;
        extensions: string[];
    };
    'application/vnd.xfdl': {
        source: string;
        extensions: string[];
    };
    'application/vnd.xfdl.webform': {
        source: string;
    };
    'application/vnd.xmi+xml': {
        source: string;
        compressible: boolean;
    };
    'application/vnd.xmpie.cpkg': {
        source: string;
    };
    'application/vnd.xmpie.dpkg': {
        source: string;
    };
    'application/vnd.xmpie.plan': {
        source: string;
    };
    'application/vnd.xmpie.ppkg': {
        source: string;
    };
    'application/vnd.xmpie.xlim': {
        source: string;
    };
    'application/vnd.yamaha.hv-dic': {
        source: string;
        extensions: string[];
    };
    'application/vnd.yamaha.hv-script': {
        source: string;
        extensions: string[];
    };
    'application/vnd.yamaha.hv-voice': {
        source: string;
        extensions: string[];
    };
    'application/vnd.yamaha.openscoreformat': {
        source: string;
        extensions: string[];
    };
    'application/vnd.yamaha.openscoreformat.osfpvg+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/vnd.yamaha.remote-setup': {
        source: string;
    };
    'application/vnd.yamaha.smaf-audio': {
        source: string;
        extensions: string[];
    };
    'application/vnd.yamaha.smaf-phrase': {
        source: string;
        extensions: string[];
    };
    'application/vnd.yamaha.through-ngn': {
        source: string;
    };
    'application/vnd.yamaha.tunnel-udpencap': {
        source: string;
    };
    'application/vnd.yaoweme': {
        source: string;
    };
    'application/vnd.yellowriver-custom-menu': {
        source: string;
        extensions: string[];
    };
    'application/vnd.youtube.yt': {
        source: string;
    };
    'application/vnd.zul': {
        source: string;
        extensions: string[];
    };
    'application/vnd.zzazz.deck+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/voicexml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/voucher-cms+json': {
        source: string;
        compressible: boolean;
    };
    'application/vq-rtcpxr': {
        source: string;
    };
    'application/wasm': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/watcherinfo+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/webpush-options+json': {
        source: string;
        compressible: boolean;
    };
    'application/whoispp-query': {
        source: string;
    };
    'application/whoispp-response': {
        source: string;
    };
    'application/widget': {
        source: string;
        extensions: string[];
    };
    'application/winhlp': {
        source: string;
        extensions: string[];
    };
    'application/wita': {
        source: string;
    };
    'application/wordperfect5.1': {
        source: string;
    };
    'application/wsdl+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/wspolicy+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-7z-compressed': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-abiword': {
        source: string;
        extensions: string[];
    };
    'application/x-ace-compressed': {
        source: string;
        extensions: string[];
    };
    'application/x-amf': {
        source: string;
    };
    'application/x-apple-diskimage': {
        source: string;
        extensions: string[];
    };
    'application/x-arj': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-authorware-bin': {
        source: string;
        extensions: string[];
    };
    'application/x-authorware-map': {
        source: string;
        extensions: string[];
    };
    'application/x-authorware-seg': {
        source: string;
        extensions: string[];
    };
    'application/x-bcpio': {
        source: string;
        extensions: string[];
    };
    'application/x-bdoc': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-bittorrent': {
        source: string;
        extensions: string[];
    };
    'application/x-blorb': {
        source: string;
        extensions: string[];
    };
    'application/x-bzip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-bzip2': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-cbr': {
        source: string;
        extensions: string[];
    };
    'application/x-cdlink': {
        source: string;
        extensions: string[];
    };
    'application/x-cfs-compressed': {
        source: string;
        extensions: string[];
    };
    'application/x-chat': {
        source: string;
        extensions: string[];
    };
    'application/x-chess-pgn': {
        source: string;
        extensions: string[];
    };
    'application/x-chrome-extension': {
        extensions: string[];
    };
    'application/x-cocoa': {
        source: string;
        extensions: string[];
    };
    'application/x-compress': {
        source: string;
    };
    'application/x-conference': {
        source: string;
        extensions: string[];
    };
    'application/x-cpio': {
        source: string;
        extensions: string[];
    };
    'application/x-csh': {
        source: string;
        extensions: string[];
    };
    'application/x-deb': {
        compressible: boolean;
    };
    'application/x-debian-package': {
        source: string;
        extensions: string[];
    };
    'application/x-dgc-compressed': {
        source: string;
        extensions: string[];
    };
    'application/x-director': {
        source: string;
        extensions: string[];
    };
    'application/x-doom': {
        source: string;
        extensions: string[];
    };
    'application/x-dtbncx+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-dtbook+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-dtbresource+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-dvi': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-envoy': {
        source: string;
        extensions: string[];
    };
    'application/x-eva': {
        source: string;
        extensions: string[];
    };
    'application/x-font-bdf': {
        source: string;
        extensions: string[];
    };
    'application/x-font-dos': {
        source: string;
    };
    'application/x-font-framemaker': {
        source: string;
    };
    'application/x-font-ghostscript': {
        source: string;
        extensions: string[];
    };
    'application/x-font-libgrx': {
        source: string;
    };
    'application/x-font-linux-psf': {
        source: string;
        extensions: string[];
    };
    'application/x-font-pcf': {
        source: string;
        extensions: string[];
    };
    'application/x-font-snf': {
        source: string;
        extensions: string[];
    };
    'application/x-font-speedo': {
        source: string;
    };
    'application/x-font-sunos-news': {
        source: string;
    };
    'application/x-font-type1': {
        source: string;
        extensions: string[];
    };
    'application/x-font-vfont': {
        source: string;
    };
    'application/x-freearc': {
        source: string;
        extensions: string[];
    };
    'application/x-futuresplash': {
        source: string;
        extensions: string[];
    };
    'application/x-gca-compressed': {
        source: string;
        extensions: string[];
    };
    'application/x-glulx': {
        source: string;
        extensions: string[];
    };
    'application/x-gnumeric': {
        source: string;
        extensions: string[];
    };
    'application/x-gramps-xml': {
        source: string;
        extensions: string[];
    };
    'application/x-gtar': {
        source: string;
        extensions: string[];
    };
    'application/x-gzip': {
        source: string;
    };
    'application/x-hdf': {
        source: string;
        extensions: string[];
    };
    'application/x-httpd-php': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-install-instructions': {
        source: string;
        extensions: string[];
    };
    'application/x-iso9660-image': {
        source: string;
        extensions: string[];
    };
    'application/x-iwork-keynote-sffkey': {
        extensions: string[];
    };
    'application/x-iwork-numbers-sffnumbers': {
        extensions: string[];
    };
    'application/x-iwork-pages-sffpages': {
        extensions: string[];
    };
    'application/x-java-archive-diff': {
        source: string;
        extensions: string[];
    };
    'application/x-java-jnlp-file': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-javascript': {
        compressible: boolean;
    };
    'application/x-keepass2': {
        extensions: string[];
    };
    'application/x-latex': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-lua-bytecode': {
        extensions: string[];
    };
    'application/x-lzh-compressed': {
        source: string;
        extensions: string[];
    };
    'application/x-makeself': {
        source: string;
        extensions: string[];
    };
    'application/x-mie': {
        source: string;
        extensions: string[];
    };
    'application/x-mobipocket-ebook': {
        source: string;
        extensions: string[];
    };
    'application/x-mpegurl': {
        compressible: boolean;
    };
    'application/x-ms-application': {
        source: string;
        extensions: string[];
    };
    'application/x-ms-shortcut': {
        source: string;
        extensions: string[];
    };
    'application/x-ms-wmd': {
        source: string;
        extensions: string[];
    };
    'application/x-ms-wmz': {
        source: string;
        extensions: string[];
    };
    'application/x-ms-xbap': {
        source: string;
        extensions: string[];
    };
    'application/x-msaccess': {
        source: string;
        extensions: string[];
    };
    'application/x-msbinder': {
        source: string;
        extensions: string[];
    };
    'application/x-mscardfile': {
        source: string;
        extensions: string[];
    };
    'application/x-msclip': {
        source: string;
        extensions: string[];
    };
    'application/x-msdos-program': {
        extensions: string[];
    };
    'application/x-msdownload': {
        source: string;
        extensions: string[];
    };
    'application/x-msmediaview': {
        source: string;
        extensions: string[];
    };
    'application/x-msmetafile': {
        source: string;
        extensions: string[];
    };
    'application/x-msmoney': {
        source: string;
        extensions: string[];
    };
    'application/x-mspublisher': {
        source: string;
        extensions: string[];
    };
    'application/x-msschedule': {
        source: string;
        extensions: string[];
    };
    'application/x-msterminal': {
        source: string;
        extensions: string[];
    };
    'application/x-mswrite': {
        source: string;
        extensions: string[];
    };
    'application/x-netcdf': {
        source: string;
        extensions: string[];
    };
    'application/x-ns-proxy-autoconfig': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-nzb': {
        source: string;
        extensions: string[];
    };
    'application/x-perl': {
        source: string;
        extensions: string[];
    };
    'application/x-pilot': {
        source: string;
        extensions: string[];
    };
    'application/x-pkcs12': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-pkcs7-certificates': {
        source: string;
        extensions: string[];
    };
    'application/x-pkcs7-certreqresp': {
        source: string;
        extensions: string[];
    };
    'application/x-pki-message': {
        source: string;
    };
    'application/x-rar-compressed': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-redhat-package-manager': {
        source: string;
        extensions: string[];
    };
    'application/x-research-info-systems': {
        source: string;
        extensions: string[];
    };
    'application/x-sea': {
        source: string;
        extensions: string[];
    };
    'application/x-sh': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-shar': {
        source: string;
        extensions: string[];
    };
    'application/x-shockwave-flash': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-silverlight-app': {
        source: string;
        extensions: string[];
    };
    'application/x-sql': {
        source: string;
        extensions: string[];
    };
    'application/x-stuffit': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-stuffitx': {
        source: string;
        extensions: string[];
    };
    'application/x-subrip': {
        source: string;
        extensions: string[];
    };
    'application/x-sv4cpio': {
        source: string;
        extensions: string[];
    };
    'application/x-sv4crc': {
        source: string;
        extensions: string[];
    };
    'application/x-t3vm-image': {
        source: string;
        extensions: string[];
    };
    'application/x-tads': {
        source: string;
        extensions: string[];
    };
    'application/x-tar': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-tcl': {
        source: string;
        extensions: string[];
    };
    'application/x-tex': {
        source: string;
        extensions: string[];
    };
    'application/x-tex-tfm': {
        source: string;
        extensions: string[];
    };
    'application/x-texinfo': {
        source: string;
        extensions: string[];
    };
    'application/x-tgif': {
        source: string;
        extensions: string[];
    };
    'application/x-ustar': {
        source: string;
        extensions: string[];
    };
    'application/x-virtualbox-hdd': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-ova': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-ovf': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-vbox': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-vbox-extpack': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-vdi': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-vhd': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-virtualbox-vmdk': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-wais-source': {
        source: string;
        extensions: string[];
    };
    'application/x-web-app-manifest+json': {
        compressible: boolean;
        extensions: string[];
    };
    'application/x-www-form-urlencoded': {
        source: string;
        compressible: boolean;
    };
    'application/x-x509-ca-cert': {
        source: string;
        extensions: string[];
    };
    'application/x-x509-ca-ra-cert': {
        source: string;
    };
    'application/x-x509-next-ca-cert': {
        source: string;
    };
    'application/x-xfig': {
        source: string;
        extensions: string[];
    };
    'application/x-xliff+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-xpinstall': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/x-xz': {
        source: string;
        extensions: string[];
    };
    'application/x-zmachine': {
        source: string;
        extensions: string[];
    };
    'application/x400-bp': {
        source: string;
    };
    'application/xacml+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xaml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xcap-att+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xcap-caps+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xcap-diff+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xcap-el+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xcap-error+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xcap-ns+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xcon-conference-info+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xcon-conference-info-diff+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xenc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xhtml+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xhtml-voice+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xliff+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xml-dtd': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xml-external-parsed-entity': {
        source: string;
    };
    'application/xml-patch+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xmpp+xml': {
        source: string;
        compressible: boolean;
    };
    'application/xop+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xproc+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xslt+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xspf+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/xv+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/yang': {
        source: string;
        extensions: string[];
    };
    'application/yang-data+json': {
        source: string;
        compressible: boolean;
    };
    'application/yang-data+xml': {
        source: string;
        compressible: boolean;
    };
    'application/yang-patch+json': {
        source: string;
        compressible: boolean;
    };
    'application/yang-patch+xml': {
        source: string;
        compressible: boolean;
    };
    'application/yin+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/zip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'application/zlib': {
        source: string;
    };
    'application/zstd': {
        source: string;
    };
    'audio/1d-interleaved-parityfec': {
        source: string;
    };
    'audio/32kadpcm': {
        source: string;
    };
    'audio/3gpp': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/3gpp2': {
        source: string;
    };
    'audio/aac': {
        source: string;
    };
    'audio/ac3': {
        source: string;
    };
    'audio/adpcm': {
        source: string;
        extensions: string[];
    };
    'audio/amr': {
        source: string;
        extensions: string[];
    };
    'audio/amr-wb': {
        source: string;
    };
    'audio/amr-wb+': {
        source: string;
    };
    'audio/aptx': {
        source: string;
    };
    'audio/asc': {
        source: string;
    };
    'audio/atrac-advanced-lossless': {
        source: string;
    };
    'audio/atrac-x': {
        source: string;
    };
    'audio/atrac3': {
        source: string;
    };
    'audio/basic': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/bv16': {
        source: string;
    };
    'audio/bv32': {
        source: string;
    };
    'audio/clearmode': {
        source: string;
    };
    'audio/cn': {
        source: string;
    };
    'audio/dat12': {
        source: string;
    };
    'audio/dls': {
        source: string;
    };
    'audio/dsr-es201108': {
        source: string;
    };
    'audio/dsr-es202050': {
        source: string;
    };
    'audio/dsr-es202211': {
        source: string;
    };
    'audio/dsr-es202212': {
        source: string;
    };
    'audio/dv': {
        source: string;
    };
    'audio/dvi4': {
        source: string;
    };
    'audio/eac3': {
        source: string;
    };
    'audio/encaprtp': {
        source: string;
    };
    'audio/evrc': {
        source: string;
    };
    'audio/evrc-qcp': {
        source: string;
    };
    'audio/evrc0': {
        source: string;
    };
    'audio/evrc1': {
        source: string;
    };
    'audio/evrcb': {
        source: string;
    };
    'audio/evrcb0': {
        source: string;
    };
    'audio/evrcb1': {
        source: string;
    };
    'audio/evrcnw': {
        source: string;
    };
    'audio/evrcnw0': {
        source: string;
    };
    'audio/evrcnw1': {
        source: string;
    };
    'audio/evrcwb': {
        source: string;
    };
    'audio/evrcwb0': {
        source: string;
    };
    'audio/evrcwb1': {
        source: string;
    };
    'audio/evs': {
        source: string;
    };
    'audio/flexfec': {
        source: string;
    };
    'audio/fwdred': {
        source: string;
    };
    'audio/g711-0': {
        source: string;
    };
    'audio/g719': {
        source: string;
    };
    'audio/g722': {
        source: string;
    };
    'audio/g7221': {
        source: string;
    };
    'audio/g723': {
        source: string;
    };
    'audio/g726-16': {
        source: string;
    };
    'audio/g726-24': {
        source: string;
    };
    'audio/g726-32': {
        source: string;
    };
    'audio/g726-40': {
        source: string;
    };
    'audio/g728': {
        source: string;
    };
    'audio/g729': {
        source: string;
    };
    'audio/g7291': {
        source: string;
    };
    'audio/g729d': {
        source: string;
    };
    'audio/g729e': {
        source: string;
    };
    'audio/gsm': {
        source: string;
    };
    'audio/gsm-efr': {
        source: string;
    };
    'audio/gsm-hr-08': {
        source: string;
    };
    'audio/ilbc': {
        source: string;
    };
    'audio/ip-mr_v2.5': {
        source: string;
    };
    'audio/isac': {
        source: string;
    };
    'audio/l16': {
        source: string;
    };
    'audio/l20': {
        source: string;
    };
    'audio/l24': {
        source: string;
        compressible: boolean;
    };
    'audio/l8': {
        source: string;
    };
    'audio/lpc': {
        source: string;
    };
    'audio/melp': {
        source: string;
    };
    'audio/melp1200': {
        source: string;
    };
    'audio/melp2400': {
        source: string;
    };
    'audio/melp600': {
        source: string;
    };
    'audio/mhas': {
        source: string;
    };
    'audio/midi': {
        source: string;
        extensions: string[];
    };
    'audio/mobile-xmf': {
        source: string;
        extensions: string[];
    };
    'audio/mp3': {
        compressible: boolean;
        extensions: string[];
    };
    'audio/mp4': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/mp4a-latm': {
        source: string;
    };
    'audio/mpa': {
        source: string;
    };
    'audio/mpa-robust': {
        source: string;
    };
    'audio/mpeg': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/mpeg4-generic': {
        source: string;
    };
    'audio/musepack': {
        source: string;
    };
    'audio/ogg': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/opus': {
        source: string;
    };
    'audio/parityfec': {
        source: string;
    };
    'audio/pcma': {
        source: string;
    };
    'audio/pcma-wb': {
        source: string;
    };
    'audio/pcmu': {
        source: string;
    };
    'audio/pcmu-wb': {
        source: string;
    };
    'audio/prs.sid': {
        source: string;
    };
    'audio/qcelp': {
        source: string;
    };
    'audio/raptorfec': {
        source: string;
    };
    'audio/red': {
        source: string;
    };
    'audio/rtp-enc-aescm128': {
        source: string;
    };
    'audio/rtp-midi': {
        source: string;
    };
    'audio/rtploopback': {
        source: string;
    };
    'audio/rtx': {
        source: string;
    };
    'audio/s3m': {
        source: string;
        extensions: string[];
    };
    'audio/scip': {
        source: string;
    };
    'audio/silk': {
        source: string;
        extensions: string[];
    };
    'audio/smv': {
        source: string;
    };
    'audio/smv-qcp': {
        source: string;
    };
    'audio/smv0': {
        source: string;
    };
    'audio/sofa': {
        source: string;
    };
    'audio/sp-midi': {
        source: string;
    };
    'audio/speex': {
        source: string;
    };
    'audio/t140c': {
        source: string;
    };
    'audio/t38': {
        source: string;
    };
    'audio/telephone-event': {
        source: string;
    };
    'audio/tetra_acelp': {
        source: string;
    };
    'audio/tetra_acelp_bb': {
        source: string;
    };
    'audio/tone': {
        source: string;
    };
    'audio/tsvcis': {
        source: string;
    };
    'audio/uemclip': {
        source: string;
    };
    'audio/ulpfec': {
        source: string;
    };
    'audio/usac': {
        source: string;
    };
    'audio/vdvi': {
        source: string;
    };
    'audio/vmr-wb': {
        source: string;
    };
    'audio/vnd.3gpp.iufp': {
        source: string;
    };
    'audio/vnd.4sb': {
        source: string;
    };
    'audio/vnd.audiokoz': {
        source: string;
    };
    'audio/vnd.celp': {
        source: string;
    };
    'audio/vnd.cisco.nse': {
        source: string;
    };
    'audio/vnd.cmles.radio-events': {
        source: string;
    };
    'audio/vnd.cns.anp1': {
        source: string;
    };
    'audio/vnd.cns.inf1': {
        source: string;
    };
    'audio/vnd.dece.audio': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.digital-winds': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.dlna.adts': {
        source: string;
    };
    'audio/vnd.dolby.heaac.1': {
        source: string;
    };
    'audio/vnd.dolby.heaac.2': {
        source: string;
    };
    'audio/vnd.dolby.mlp': {
        source: string;
    };
    'audio/vnd.dolby.mps': {
        source: string;
    };
    'audio/vnd.dolby.pl2': {
        source: string;
    };
    'audio/vnd.dolby.pl2x': {
        source: string;
    };
    'audio/vnd.dolby.pl2z': {
        source: string;
    };
    'audio/vnd.dolby.pulse.1': {
        source: string;
    };
    'audio/vnd.dra': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.dts': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.dts.hd': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.dts.uhd': {
        source: string;
    };
    'audio/vnd.dvb.file': {
        source: string;
    };
    'audio/vnd.everad.plj': {
        source: string;
    };
    'audio/vnd.hns.audio': {
        source: string;
    };
    'audio/vnd.lucent.voice': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.ms-playready.media.pya': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.nokia.mobile-xmf': {
        source: string;
    };
    'audio/vnd.nortel.vbk': {
        source: string;
    };
    'audio/vnd.nuera.ecelp4800': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.nuera.ecelp7470': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.nuera.ecelp9600': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.octel.sbc': {
        source: string;
    };
    'audio/vnd.presonus.multitrack': {
        source: string;
    };
    'audio/vnd.qcelp': {
        source: string;
    };
    'audio/vnd.rhetorex.32kadpcm': {
        source: string;
    };
    'audio/vnd.rip': {
        source: string;
        extensions: string[];
    };
    'audio/vnd.rn-realaudio': {
        compressible: boolean;
    };
    'audio/vnd.sealedmedia.softseal.mpeg': {
        source: string;
    };
    'audio/vnd.vmx.cvsd': {
        source: string;
    };
    'audio/vnd.wave': {
        compressible: boolean;
    };
    'audio/vorbis': {
        source: string;
        compressible: boolean;
    };
    'audio/vorbis-config': {
        source: string;
    };
    'audio/wav': {
        compressible: boolean;
        extensions: string[];
    };
    'audio/wave': {
        compressible: boolean;
        extensions: string[];
    };
    'audio/webm': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/x-aac': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/x-aiff': {
        source: string;
        extensions: string[];
    };
    'audio/x-caf': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'audio/x-flac': {
        source: string;
        extensions: string[];
    };
    'audio/x-m4a': {
        source: string;
        extensions: string[];
    };
    'audio/x-matroska': {
        source: string;
        extensions: string[];
    };
    'audio/x-mpegurl': {
        source: string;
        extensions: string[];
    };
    'audio/x-ms-wax': {
        source: string;
        extensions: string[];
    };
    'audio/x-ms-wma': {
        source: string;
        extensions: string[];
    };
    'audio/x-pn-realaudio': {
        source: string;
        extensions: string[];
    };
    'audio/x-pn-realaudio-plugin': {
        source: string;
        extensions: string[];
    };
    'audio/x-realaudio': {
        source: string;
        extensions: string[];
    };
    'audio/x-tta': {
        source: string;
    };
    'audio/x-wav': {
        source: string;
        extensions: string[];
    };
    'audio/xm': {
        source: string;
        extensions: string[];
    };
    'chemical/x-cdx': {
        source: string;
        extensions: string[];
    };
    'chemical/x-cif': {
        source: string;
        extensions: string[];
    };
    'chemical/x-cmdf': {
        source: string;
        extensions: string[];
    };
    'chemical/x-cml': {
        source: string;
        extensions: string[];
    };
    'chemical/x-csml': {
        source: string;
        extensions: string[];
    };
    'chemical/x-pdb': {
        source: string;
    };
    'chemical/x-xyz': {
        source: string;
        extensions: string[];
    };
    'font/collection': {
        source: string;
        extensions: string[];
    };
    'font/otf': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'font/sfnt': {
        source: string;
    };
    'font/ttf': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'font/woff': {
        source: string;
        extensions: string[];
    };
    'font/woff2': {
        source: string;
        extensions: string[];
    };
    'image/aces': {
        source: string;
        extensions: string[];
    };
    'image/apng': {
        compressible: boolean;
        extensions: string[];
    };
    'image/avci': {
        source: string;
        extensions: string[];
    };
    'image/avcs': {
        source: string;
        extensions: string[];
    };
    'image/avif': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/bmp': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/cgm': {
        source: string;
        extensions: string[];
    };
    'image/dicom-rle': {
        source: string;
        extensions: string[];
    };
    'image/emf': {
        source: string;
        extensions: string[];
    };
    'image/fits': {
        source: string;
        extensions: string[];
    };
    'image/g3fax': {
        source: string;
        extensions: string[];
    };
    'image/gif': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/heic': {
        source: string;
        extensions: string[];
    };
    'image/heic-sequence': {
        source: string;
        extensions: string[];
    };
    'image/heif': {
        source: string;
        extensions: string[];
    };
    'image/heif-sequence': {
        source: string;
        extensions: string[];
    };
    'image/hej2k': {
        source: string;
        extensions: string[];
    };
    'image/hsj2': {
        source: string;
        extensions: string[];
    };
    'image/ief': {
        source: string;
        extensions: string[];
    };
    'image/jls': {
        source: string;
        extensions: string[];
    };
    'image/jp2': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/jpeg': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/jph': {
        source: string;
        extensions: string[];
    };
    'image/jphc': {
        source: string;
        extensions: string[];
    };
    'image/jpm': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/jpx': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/jxr': {
        source: string;
        extensions: string[];
    };
    'image/jxra': {
        source: string;
        extensions: string[];
    };
    'image/jxrs': {
        source: string;
        extensions: string[];
    };
    'image/jxs': {
        source: string;
        extensions: string[];
    };
    'image/jxsc': {
        source: string;
        extensions: string[];
    };
    'image/jxsi': {
        source: string;
        extensions: string[];
    };
    'image/jxss': {
        source: string;
        extensions: string[];
    };
    'image/ktx': {
        source: string;
        extensions: string[];
    };
    'image/ktx2': {
        source: string;
        extensions: string[];
    };
    'image/naplps': {
        source: string;
    };
    'image/pjpeg': {
        compressible: boolean;
    };
    'image/png': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/prs.btif': {
        source: string;
        extensions: string[];
    };
    'image/prs.pti': {
        source: string;
        extensions: string[];
    };
    'image/pwg-raster': {
        source: string;
    };
    'image/sgi': {
        source: string;
        extensions: string[];
    };
    'image/svg+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/t38': {
        source: string;
        extensions: string[];
    };
    'image/tiff': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/tiff-fx': {
        source: string;
        extensions: string[];
    };
    'image/vnd.adobe.photoshop': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/vnd.airzip.accelerator.azv': {
        source: string;
        extensions: string[];
    };
    'image/vnd.cns.inf2': {
        source: string;
    };
    'image/vnd.dece.graphic': {
        source: string;
        extensions: string[];
    };
    'image/vnd.djvu': {
        source: string;
        extensions: string[];
    };
    'image/vnd.dvb.subtitle': {
        source: string;
        extensions: string[];
    };
    'image/vnd.dwg': {
        source: string;
        extensions: string[];
    };
    'image/vnd.dxf': {
        source: string;
        extensions: string[];
    };
    'image/vnd.fastbidsheet': {
        source: string;
        extensions: string[];
    };
    'image/vnd.fpx': {
        source: string;
        extensions: string[];
    };
    'image/vnd.fst': {
        source: string;
        extensions: string[];
    };
    'image/vnd.fujixerox.edmics-mmr': {
        source: string;
        extensions: string[];
    };
    'image/vnd.fujixerox.edmics-rlc': {
        source: string;
        extensions: string[];
    };
    'image/vnd.globalgraphics.pgb': {
        source: string;
    };
    'image/vnd.microsoft.icon': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/vnd.mix': {
        source: string;
    };
    'image/vnd.mozilla.apng': {
        source: string;
    };
    'image/vnd.ms-dds': {
        compressible: boolean;
        extensions: string[];
    };
    'image/vnd.ms-modi': {
        source: string;
        extensions: string[];
    };
    'image/vnd.ms-photo': {
        source: string;
        extensions: string[];
    };
    'image/vnd.net-fpx': {
        source: string;
        extensions: string[];
    };
    'image/vnd.pco.b16': {
        source: string;
        extensions: string[];
    };
    'image/vnd.radiance': {
        source: string;
    };
    'image/vnd.sealed.png': {
        source: string;
    };
    'image/vnd.sealedmedia.softseal.gif': {
        source: string;
    };
    'image/vnd.sealedmedia.softseal.jpg': {
        source: string;
    };
    'image/vnd.svf': {
        source: string;
    };
    'image/vnd.tencent.tap': {
        source: string;
        extensions: string[];
    };
    'image/vnd.valve.source.texture': {
        source: string;
        extensions: string[];
    };
    'image/vnd.wap.wbmp': {
        source: string;
        extensions: string[];
    };
    'image/vnd.xiff': {
        source: string;
        extensions: string[];
    };
    'image/vnd.zbrush.pcx': {
        source: string;
        extensions: string[];
    };
    'image/webp': {
        source: string;
        extensions: string[];
    };
    'image/wmf': {
        source: string;
        extensions: string[];
    };
    'image/x-3ds': {
        source: string;
        extensions: string[];
    };
    'image/x-cmu-raster': {
        source: string;
        extensions: string[];
    };
    'image/x-cmx': {
        source: string;
        extensions: string[];
    };
    'image/x-freehand': {
        source: string;
        extensions: string[];
    };
    'image/x-icon': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/x-jng': {
        source: string;
        extensions: string[];
    };
    'image/x-mrsid-image': {
        source: string;
        extensions: string[];
    };
    'image/x-ms-bmp': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'image/x-pcx': {
        source: string;
        extensions: string[];
    };
    'image/x-pict': {
        source: string;
        extensions: string[];
    };
    'image/x-portable-anymap': {
        source: string;
        extensions: string[];
    };
    'image/x-portable-bitmap': {
        source: string;
        extensions: string[];
    };
    'image/x-portable-graymap': {
        source: string;
        extensions: string[];
    };
    'image/x-portable-pixmap': {
        source: string;
        extensions: string[];
    };
    'image/x-rgb': {
        source: string;
        extensions: string[];
    };
    'image/x-tga': {
        source: string;
        extensions: string[];
    };
    'image/x-xbitmap': {
        source: string;
        extensions: string[];
    };
    'image/x-xcf': {
        compressible: boolean;
    };
    'image/x-xpixmap': {
        source: string;
        extensions: string[];
    };
    'image/x-xwindowdump': {
        source: string;
        extensions: string[];
    };
    'message/cpim': {
        source: string;
    };
    'message/delivery-status': {
        source: string;
    };
    'message/disposition-notification': {
        source: string;
        extensions: string[];
    };
    'message/external-body': {
        source: string;
    };
    'message/feedback-report': {
        source: string;
    };
    'message/global': {
        source: string;
        extensions: string[];
    };
    'message/global-delivery-status': {
        source: string;
        extensions: string[];
    };
    'message/global-disposition-notification': {
        source: string;
        extensions: string[];
    };
    'message/global-headers': {
        source: string;
        extensions: string[];
    };
    'message/http': {
        source: string;
        compressible: boolean;
    };
    'message/imdn+xml': {
        source: string;
        compressible: boolean;
    };
    'message/news': {
        source: string;
    };
    'message/partial': {
        source: string;
        compressible: boolean;
    };
    'message/rfc822': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'message/s-http': {
        source: string;
    };
    'message/sip': {
        source: string;
    };
    'message/sipfrag': {
        source: string;
    };
    'message/tracking-status': {
        source: string;
    };
    'message/vnd.si.simp': {
        source: string;
    };
    'message/vnd.wfa.wsc': {
        source: string;
        extensions: string[];
    };
    'model/3mf': {
        source: string;
        extensions: string[];
    };
    'model/e57': {
        source: string;
    };
    'model/gltf+json': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/gltf-binary': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/iges': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/mesh': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/mtl': {
        source: string;
        extensions: string[];
    };
    'model/obj': {
        source: string;
        extensions: string[];
    };
    'model/step': {
        source: string;
    };
    'model/step+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/step+zip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/step-xml+zip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/stl': {
        source: string;
        extensions: string[];
    };
    'model/vnd.collada+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/vnd.dwf': {
        source: string;
        extensions: string[];
    };
    'model/vnd.flatland.3dml': {
        source: string;
    };
    'model/vnd.gdl': {
        source: string;
        extensions: string[];
    };
    'model/vnd.gs-gdl': {
        source: string;
    };
    'model/vnd.gs.gdl': {
        source: string;
    };
    'model/vnd.gtw': {
        source: string;
        extensions: string[];
    };
    'model/vnd.moml+xml': {
        source: string;
        compressible: boolean;
    };
    'model/vnd.mts': {
        source: string;
        extensions: string[];
    };
    'model/vnd.opengex': {
        source: string;
        extensions: string[];
    };
    'model/vnd.parasolid.transmit.binary': {
        source: string;
        extensions: string[];
    };
    'model/vnd.parasolid.transmit.text': {
        source: string;
        extensions: string[];
    };
    'model/vnd.pytha.pyox': {
        source: string;
    };
    'model/vnd.rosette.annotated-data-model': {
        source: string;
    };
    'model/vnd.sap.vds': {
        source: string;
        extensions: string[];
    };
    'model/vnd.usdz+zip': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/vnd.valve.source.compiled-map': {
        source: string;
        extensions: string[];
    };
    'model/vnd.vtu': {
        source: string;
        extensions: string[];
    };
    'model/vrml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/x3d+binary': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/x3d+fastinfoset': {
        source: string;
        extensions: string[];
    };
    'model/x3d+vrml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/x3d+xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'model/x3d-vrml': {
        source: string;
        extensions: string[];
    };
    'multipart/alternative': {
        source: string;
        compressible: boolean;
    };
    'multipart/appledouble': {
        source: string;
    };
    'multipart/byteranges': {
        source: string;
    };
    'multipart/digest': {
        source: string;
    };
    'multipart/encrypted': {
        source: string;
        compressible: boolean;
    };
    'multipart/form-data': {
        source: string;
        compressible: boolean;
    };
    'multipart/header-set': {
        source: string;
    };
    'multipart/mixed': {
        source: string;
    };
    'multipart/multilingual': {
        source: string;
    };
    'multipart/parallel': {
        source: string;
    };
    'multipart/related': {
        source: string;
        compressible: boolean;
    };
    'multipart/report': {
        source: string;
    };
    'multipart/signed': {
        source: string;
        compressible: boolean;
    };
    'multipart/vnd.bint.med-plus': {
        source: string;
    };
    'multipart/voice-message': {
        source: string;
    };
    'multipart/x-mixed-replace': {
        source: string;
    };
    'text/1d-interleaved-parityfec': {
        source: string;
    };
    'text/cache-manifest': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/calendar': {
        source: string;
        extensions: string[];
    };
    'text/calender': {
        compressible: boolean;
    };
    'text/cmd': {
        compressible: boolean;
    };
    'text/coffeescript': {
        extensions: string[];
    };
    'text/cql': {
        source: string;
    };
    'text/cql-expression': {
        source: string;
    };
    'text/cql-identifier': {
        source: string;
    };
    'text/css': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/csv': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/csv-schema': {
        source: string;
    };
    'text/directory': {
        source: string;
    };
    'text/dns': {
        source: string;
    };
    'text/ecmascript': {
        source: string;
    };
    'text/encaprtp': {
        source: string;
    };
    'text/enriched': {
        source: string;
    };
    'text/fhirpath': {
        source: string;
    };
    'text/flexfec': {
        source: string;
    };
    'text/fwdred': {
        source: string;
    };
    'text/gff3': {
        source: string;
    };
    'text/grammar-ref-list': {
        source: string;
    };
    'text/html': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/jade': {
        extensions: string[];
    };
    'text/javascript': {
        source: string;
        compressible: boolean;
    };
    'text/jcr-cnd': {
        source: string;
    };
    'text/jsx': {
        compressible: boolean;
        extensions: string[];
    };
    'text/less': {
        compressible: boolean;
        extensions: string[];
    };
    'text/markdown': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/mathml': {
        source: string;
        extensions: string[];
    };
    'text/mdx': {
        compressible: boolean;
        extensions: string[];
    };
    'text/mizar': {
        source: string;
    };
    'text/n3': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/parameters': {
        source: string;
        charset: string;
    };
    'text/parityfec': {
        source: string;
    };
    'text/plain': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/provenance-notation': {
        source: string;
        charset: string;
    };
    'text/prs.fallenstein.rst': {
        source: string;
    };
    'text/prs.lines.tag': {
        source: string;
        extensions: string[];
    };
    'text/prs.prop.logic': {
        source: string;
    };
    'text/raptorfec': {
        source: string;
    };
    'text/red': {
        source: string;
    };
    'text/rfc822-headers': {
        source: string;
    };
    'text/richtext': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/rtf': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/rtp-enc-aescm128': {
        source: string;
    };
    'text/rtploopback': {
        source: string;
    };
    'text/rtx': {
        source: string;
    };
    'text/sgml': {
        source: string;
        extensions: string[];
    };
    'text/shaclc': {
        source: string;
    };
    'text/shex': {
        source: string;
        extensions: string[];
    };
    'text/slim': {
        extensions: string[];
    };
    'text/spdx': {
        source: string;
        extensions: string[];
    };
    'text/strings': {
        source: string;
    };
    'text/stylus': {
        extensions: string[];
    };
    'text/t140': {
        source: string;
    };
    'text/tab-separated-values': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/troff': {
        source: string;
        extensions: string[];
    };
    'text/turtle': {
        source: string;
        charset: string;
        extensions: string[];
    };
    'text/ulpfec': {
        source: string;
    };
    'text/uri-list': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/vcard': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/vnd.a': {
        source: string;
    };
    'text/vnd.abc': {
        source: string;
    };
    'text/vnd.ascii-art': {
        source: string;
    };
    'text/vnd.curl': {
        source: string;
        extensions: string[];
    };
    'text/vnd.curl.dcurl': {
        source: string;
        extensions: string[];
    };
    'text/vnd.curl.mcurl': {
        source: string;
        extensions: string[];
    };
    'text/vnd.curl.scurl': {
        source: string;
        extensions: string[];
    };
    'text/vnd.debian.copyright': {
        source: string;
        charset: string;
    };
    'text/vnd.dmclientscript': {
        source: string;
    };
    'text/vnd.dvb.subtitle': {
        source: string;
        extensions: string[];
    };
    'text/vnd.esmertec.theme-descriptor': {
        source: string;
        charset: string;
    };
    'text/vnd.familysearch.gedcom': {
        source: string;
        extensions: string[];
    };
    'text/vnd.ficlab.flt': {
        source: string;
    };
    'text/vnd.fly': {
        source: string;
        extensions: string[];
    };
    'text/vnd.fmi.flexstor': {
        source: string;
        extensions: string[];
    };
    'text/vnd.gml': {
        source: string;
    };
    'text/vnd.graphviz': {
        source: string;
        extensions: string[];
    };
    'text/vnd.hans': {
        source: string;
    };
    'text/vnd.hgl': {
        source: string;
    };
    'text/vnd.in3d.3dml': {
        source: string;
        extensions: string[];
    };
    'text/vnd.in3d.spot': {
        source: string;
        extensions: string[];
    };
    'text/vnd.iptc.newsml': {
        source: string;
    };
    'text/vnd.iptc.nitf': {
        source: string;
    };
    'text/vnd.latex-z': {
        source: string;
    };
    'text/vnd.motorola.reflex': {
        source: string;
    };
    'text/vnd.ms-mediapackage': {
        source: string;
    };
    'text/vnd.net2phone.commcenter.command': {
        source: string;
    };
    'text/vnd.radisys.msml-basic-layout': {
        source: string;
    };
    'text/vnd.senx.warpscript': {
        source: string;
    };
    'text/vnd.si.uricatalogue': {
        source: string;
    };
    'text/vnd.sosi': {
        source: string;
    };
    'text/vnd.sun.j2me.app-descriptor': {
        source: string;
        charset: string;
        extensions: string[];
    };
    'text/vnd.trolltech.linguist': {
        source: string;
        charset: string;
    };
    'text/vnd.wap.si': {
        source: string;
    };
    'text/vnd.wap.sl': {
        source: string;
    };
    'text/vnd.wap.wml': {
        source: string;
        extensions: string[];
    };
    'text/vnd.wap.wmlscript': {
        source: string;
        extensions: string[];
    };
    'text/vtt': {
        source: string;
        charset: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/x-asm': {
        source: string;
        extensions: string[];
    };
    'text/x-c': {
        source: string;
        extensions: string[];
    };
    'text/x-component': {
        source: string;
        extensions: string[];
    };
    'text/x-fortran': {
        source: string;
        extensions: string[];
    };
    'text/x-gwt-rpc': {
        compressible: boolean;
    };
    'text/x-handlebars-template': {
        extensions: string[];
    };
    'text/x-java-source': {
        source: string;
        extensions: string[];
    };
    'text/x-jquery-tmpl': {
        compressible: boolean;
    };
    'text/x-lua': {
        extensions: string[];
    };
    'text/x-markdown': {
        compressible: boolean;
        extensions: string[];
    };
    'text/x-nfo': {
        source: string;
        extensions: string[];
    };
    'text/x-opml': {
        source: string;
        extensions: string[];
    };
    'text/x-org': {
        compressible: boolean;
        extensions: string[];
    };
    'text/x-pascal': {
        source: string;
        extensions: string[];
    };
    'text/x-processing': {
        compressible: boolean;
        extensions: string[];
    };
    'text/x-sass': {
        extensions: string[];
    };
    'text/x-scss': {
        extensions: string[];
    };
    'text/x-setext': {
        source: string;
        extensions: string[];
    };
    'text/x-sfv': {
        source: string;
        extensions: string[];
    };
    'text/x-suse-ymp': {
        compressible: boolean;
        extensions: string[];
    };
    'text/x-uuencode': {
        source: string;
        extensions: string[];
    };
    'text/x-vcalendar': {
        source: string;
        extensions: string[];
    };
    'text/x-vcard': {
        source: string;
        extensions: string[];
    };
    'text/xml': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'text/xml-external-parsed-entity': {
        source: string;
    };
    'text/yaml': {
        compressible: boolean;
        extensions: string[];
    };
    'video/1d-interleaved-parityfec': {
        source: string;
    };
    'video/3gpp': {
        source: string;
        extensions: string[];
    };
    'video/3gpp-tt': {
        source: string;
    };
    'video/3gpp2': {
        source: string;
        extensions: string[];
    };
    'video/av1': {
        source: string;
    };
    'video/bmpeg': {
        source: string;
    };
    'video/bt656': {
        source: string;
    };
    'video/celb': {
        source: string;
    };
    'video/dv': {
        source: string;
    };
    'video/encaprtp': {
        source: string;
    };
    'video/ffv1': {
        source: string;
    };
    'video/flexfec': {
        source: string;
    };
    'video/h261': {
        source: string;
        extensions: string[];
    };
    'video/h263': {
        source: string;
        extensions: string[];
    };
    'video/h263-1998': {
        source: string;
    };
    'video/h263-2000': {
        source: string;
    };
    'video/h264': {
        source: string;
        extensions: string[];
    };
    'video/h264-rcdo': {
        source: string;
    };
    'video/h264-svc': {
        source: string;
    };
    'video/h265': {
        source: string;
    };
    'video/iso.segment': {
        source: string;
        extensions: string[];
    };
    'video/jpeg': {
        source: string;
        extensions: string[];
    };
    'video/jpeg2000': {
        source: string;
    };
    'video/jpm': {
        source: string;
        extensions: string[];
    };
    'video/jxsv': {
        source: string;
    };
    'video/mj2': {
        source: string;
        extensions: string[];
    };
    'video/mp1s': {
        source: string;
    };
    'video/mp2p': {
        source: string;
    };
    'video/mp2t': {
        source: string;
        extensions: string[];
    };
    'video/mp4': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/mp4v-es': {
        source: string;
    };
    'video/mpeg': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/mpeg4-generic': {
        source: string;
    };
    'video/mpv': {
        source: string;
    };
    'video/nv': {
        source: string;
    };
    'video/ogg': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/parityfec': {
        source: string;
    };
    'video/pointer': {
        source: string;
    };
    'video/quicktime': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/raptorfec': {
        source: string;
    };
    'video/raw': {
        source: string;
    };
    'video/rtp-enc-aescm128': {
        source: string;
    };
    'video/rtploopback': {
        source: string;
    };
    'video/rtx': {
        source: string;
    };
    'video/scip': {
        source: string;
    };
    'video/smpte291': {
        source: string;
    };
    'video/smpte292m': {
        source: string;
    };
    'video/ulpfec': {
        source: string;
    };
    'video/vc1': {
        source: string;
    };
    'video/vc2': {
        source: string;
    };
    'video/vnd.cctv': {
        source: string;
    };
    'video/vnd.dece.hd': {
        source: string;
        extensions: string[];
    };
    'video/vnd.dece.mobile': {
        source: string;
        extensions: string[];
    };
    'video/vnd.dece.mp4': {
        source: string;
    };
    'video/vnd.dece.pd': {
        source: string;
        extensions: string[];
    };
    'video/vnd.dece.sd': {
        source: string;
        extensions: string[];
    };
    'video/vnd.dece.video': {
        source: string;
        extensions: string[];
    };
    'video/vnd.directv.mpeg': {
        source: string;
    };
    'video/vnd.directv.mpeg-tts': {
        source: string;
    };
    'video/vnd.dlna.mpeg-tts': {
        source: string;
    };
    'video/vnd.dvb.file': {
        source: string;
        extensions: string[];
    };
    'video/vnd.fvt': {
        source: string;
        extensions: string[];
    };
    'video/vnd.hns.video': {
        source: string;
    };
    'video/vnd.iptvforum.1dparityfec-1010': {
        source: string;
    };
    'video/vnd.iptvforum.1dparityfec-2005': {
        source: string;
    };
    'video/vnd.iptvforum.2dparityfec-1010': {
        source: string;
    };
    'video/vnd.iptvforum.2dparityfec-2005': {
        source: string;
    };
    'video/vnd.iptvforum.ttsavc': {
        source: string;
    };
    'video/vnd.iptvforum.ttsmpeg2': {
        source: string;
    };
    'video/vnd.motorola.video': {
        source: string;
    };
    'video/vnd.motorola.videop': {
        source: string;
    };
    'video/vnd.mpegurl': {
        source: string;
        extensions: string[];
    };
    'video/vnd.ms-playready.media.pyv': {
        source: string;
        extensions: string[];
    };
    'video/vnd.nokia.interleaved-multimedia': {
        source: string;
    };
    'video/vnd.nokia.mp4vr': {
        source: string;
    };
    'video/vnd.nokia.videovoip': {
        source: string;
    };
    'video/vnd.objectvideo': {
        source: string;
    };
    'video/vnd.radgamettools.bink': {
        source: string;
    };
    'video/vnd.radgamettools.smacker': {
        source: string;
    };
    'video/vnd.sealed.mpeg1': {
        source: string;
    };
    'video/vnd.sealed.mpeg4': {
        source: string;
    };
    'video/vnd.sealed.swf': {
        source: string;
    };
    'video/vnd.sealedmedia.softseal.mov': {
        source: string;
    };
    'video/vnd.uvvu.mp4': {
        source: string;
        extensions: string[];
    };
    'video/vnd.vivo': {
        source: string;
        extensions: string[];
    };
    'video/vnd.youtube.yt': {
        source: string;
    };
    'video/vp8': {
        source: string;
    };
    'video/vp9': {
        source: string;
    };
    'video/webm': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/x-f4v': {
        source: string;
        extensions: string[];
    };
    'video/x-fli': {
        source: string;
        extensions: string[];
    };
    'video/x-flv': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/x-m4v': {
        source: string;
        extensions: string[];
    };
    'video/x-matroska': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/x-mng': {
        source: string;
        extensions: string[];
    };
    'video/x-ms-asf': {
        source: string;
        extensions: string[];
    };
    'video/x-ms-vob': {
        source: string;
        extensions: string[];
    };
    'video/x-ms-wm': {
        source: string;
        extensions: string[];
    };
    'video/x-ms-wmv': {
        source: string;
        compressible: boolean;
        extensions: string[];
    };
    'video/x-ms-wmx': {
        source: string;
        extensions: string[];
    };
    'video/x-ms-wvx': {
        source: string;
        extensions: string[];
    };
    'video/x-msvideo': {
        source: string;
        extensions: string[];
    };
    'video/x-sgi-movie': {
        source: string;
        extensions: string[];
    };
    'video/x-smv': {
        source: string;
        extensions: string[];
    };
    'x-conference/x-cooltalk': {
        source: string;
        extensions: string[];
    };
    'x-shader/x-fragment': {
        compressible: boolean;
    };
    'x-shader/x-vertex': {
        compressible: boolean;
    };
};
export default _default;
